# .NET Package Maintenance (deprecation) File List

The following list of packages doesn't include specific version numbers for affected packages. Where a given package has a current version that is in support, the previous versions will be marked deprecated.

## Runtime Packs

* AspNetCoreRuntime.2.2.x64
* AspNetCoreRuntime.2.2.x86
* AspNetCoreRuntime.3.0.x64
* AspNetCoreRuntime.3.0.x86
* AspNetCoreRuntime.3.1.x64
* AspNetCoreRuntime.3.1.x86
* AspNetCoreRuntime.5.0.x64
* AspNetCoreRuntime.5.0.x86
* AspNetCoreRuntime.6.0.x64
* AspNetCoreRuntime.6.0.x86
* dnx-clr-win-x64
* dnx-clr-win-x86
* dnx-coreclr-darwin-x64
* dnx-coreclr-linux-x64
* dnx-coreclr-win-x64
* dnx-coreclr-win-x86
* dnx-mono
* Microsoft.NETCore
* Microsoft.NETCore.App
* Microsoft.AspNetCore
* Microsoft.AspNetCore.All
* Microsoft.AspNetCore.App
* Microsoft.AspNetCore.App.Ref

## Packages

* Accessibility
* AjaxGridScaffolder
* AntiXSS
* ApiPort
* AspNetRazor.Core
* AspNetSprites-Core
* AspNetSprites-MvcAndRazorHelper
* AspNetSprites-WebFormsControl
* AspNetWebApi
* AspNetWebApi.Data
* AspNetWebApi.SelfHost
* AspNetWebPages
* AspNetWebPages.Core
* AspNetWebPagesCore
* Bakery.Template.VB2
* Calendar.Template
* Calendar.Template.VB2
* EntityFramework
* EntityFramework.Core.FunctionalTests
* EntityFramework.Relational.Design.FunctionalTests
* EntityFramework.Relational.FunctionalTests
* EntityFramework.SqlServerCompact

## Tools

* dotnet-aspnet-codegenerator
* dotnet-counters
* dotnet-dev-certs
* dotnet-dump
* dotnet-ef
* dotnet-format
* dotnet-gcdump
* dotnet-httprepl
* dotnet-ilverify
* dotnet-install-blazoraot
* dotnet-sos
* dotnet-sql-cache
* dotnet-suggest
* dotnet-svcutil
* dotnet-svcutil.xmlserializer
* dotnet-symbol
* dotnet-trace
* dotnet-user-secrets
* dotnet-watch
* Microsoft.dotnet-httprepl
* Microsoft.dotnet-interactive
* Microsoft.dotnet-openapi
* Microsoft.dotnet-try
* Facebook.Helper
* Iot.Device.Bindings
* jQuery.Ajax.Unobtrusive
* jQuery.Mobile.MVC
* jQuery.Templates
* jQuery.Validation.Unobtrusive
* KRE-CLR-amd64
* KRE-CLR-x86
* KRE-CoreCLR-amd64
* KRE-CoreCLR-x86
* kre-mono
* Libuv
* microsoft-web-helpers
* Microsoft.AspNet.Antiforgery
* Microsoft.AspNet.Authentication
* Microsoft.AspNet.Authentication.Cookies
* Microsoft.AspNet.Authentication.Facebook
* Microsoft.AspNet.Authentication.Google
* Microsoft.AspNet.Authentication.JwtBearer
* Microsoft.AspNet.Authentication.MicrosoftAccount
* Microsoft.AspNet.Authentication.OAuth
* Microsoft.AspNet.Authentication.OAuthBearer
* Microsoft.AspNet.Authentication.OpenIdConnect
* Microsoft.AspNet.Authentication.Twitter
* Microsoft.AspNet.Authorization
* Microsoft.AspNet.Buffering
* Microsoft.AspNet.CookiePolicy
* Microsoft.AspNet.Cors
* Microsoft.AspNet.Cors.Core
* Microsoft.AspNet.Cors.cs
* Microsoft.AspNet.Cors.de
* Microsoft.AspNet.Cors.es
* Microsoft.AspNet.Cors.fr
* Microsoft.AspNet.Cors.it
* Microsoft.AspNet.Cors.ja
* Microsoft.AspNet.Cors.ko
* Microsoft.AspNet.Cors.pl
* Microsoft.AspNet.Cors.pt-br
* Microsoft.AspNet.Cors.ru
* Microsoft.AspNet.Cors.tr
* Microsoft.AspNet.Cors.zh-Hans
* Microsoft.AspNet.Cors.zh-Hant
* Microsoft.AspNet.Cryptography.Internal
* Microsoft.AspNet.Cryptography.KeyDerivation
* Microsoft.AspNet.DataProtection
* Microsoft.AspNet.DataProtection.Abstractions
* Microsoft.AspNet.DataProtection.Extensions
* Microsoft.AspNet.DataProtection.Interfaces
* Microsoft.AspNet.DataProtection.Shared
* Microsoft.AspNet.DataProtection.SystemWeb
* Microsoft.AspNet.Diagnostics
* Microsoft.AspNet.Diagnostics.Abstractions
* Microsoft.AspNet.Diagnostics.Elm
* Microsoft.AspNet.Diagnostics.Interfaces
* Microsoft.AspNet.DynamicData.EFProvider
* Microsoft.AspNet.DynamicDataTemplates.CS
* Microsoft.AspNet.EntityDataSource
* Microsoft.AspNet.Facebook
* Microsoft.AspNet.Facebook.cs
* Microsoft.AspNet.Facebook.de
* Microsoft.AspNet.Facebook.es
* Microsoft.AspNet.Facebook.fr
* Microsoft.AspNet.Facebook.it
* Microsoft.AspNet.Facebook.ja
* Microsoft.AspNet.Facebook.ko
* Microsoft.AspNet.Facebook.pl
* Microsoft.AspNet.Facebook.pt-br
* Microsoft.AspNet.Facebook.ru
* Microsoft.AspNet.Facebook.tr
* Microsoft.AspNet.Facebook.zh-Hans
* Microsoft.AspNet.Facebook.zh-Hant
* Microsoft.AspNet.FeatureModel
* Microsoft.AspNet.FileProviders
* Microsoft.AspNet.FileProviders.Abstractions
* Microsoft.AspNet.FileProviders.Embedded
* Microsoft.AspNet.FileProviders.Interfaces
* Microsoft.AspNet.FileProviders.Physical
* Microsoft.AspNet.FileSystems.Interfaces
* Microsoft.AspNet.FriendlyUrls
* Microsoft.AspNet.FriendlyUrls.Core
* Microsoft.AspNet.FriendlyUrls.Core.cs
* Microsoft.AspNet.FriendlyUrls.Core.de
* Microsoft.AspNet.FriendlyUrls.Core.es
* Microsoft.AspNet.FriendlyUrls.Core.fr
* Microsoft.AspNet.FriendlyUrls.Core.it
* Microsoft.AspNet.FriendlyUrls.Core.ja
* Microsoft.AspNet.FriendlyUrls.Core.ko
* Microsoft.AspNet.FriendlyUrls.Core.pl
* Microsoft.AspNet.FriendlyUrls.Core.pt-br
* Microsoft.AspNet.FriendlyUrls.Core.ru
* Microsoft.AspNet.FriendlyUrls.Core.tr
* Microsoft.AspNet.FriendlyUrls.Core.zh-Hans
* Microsoft.AspNet.FriendlyUrls.Core.zh-Hant
* Microsoft.AspNet.FriendlyUrls.ViewSwitcher
* Microsoft.AspNet.Hosting
* Microsoft.AspNet.Hosting.Abstractions
* Microsoft.AspNet.Hosting.Interfaces
* Microsoft.AspNet.Hosting.Server.Abstractions
* Microsoft.AspNet.Html.Abstractions
* Microsoft.AspNet.Http
* Microsoft.AspNet.Http.Abstractions
* Microsoft.AspNet.Http.Core
* Microsoft.AspNet.Http.Extensions
* Microsoft.AspNet.Http.Features
* Microsoft.AspNet.Http.Interfaces
* Microsoft.AspNet.HttpFeature
* Microsoft.AspNet.HttpOverrides
* Microsoft.AspNet.Identity
* Microsoft.AspNet.Identity.AspNetCoreCompat
* Microsoft.AspNet.Identity.Core
* Microsoft.AspNet.Identity.Core.cs
* Microsoft.AspNet.Identity.Core.de
* Microsoft.AspNet.Identity.Core.es
* Microsoft.AspNet.Identity.Core.fr
* Microsoft.AspNet.Identity.Core.it
* Microsoft.AspNet.Identity.Core.ja
* Microsoft.AspNet.Identity.Core.ko
* Microsoft.AspNet.Identity.Core.pl
* Microsoft.AspNet.Identity.Core.pt-br
* Microsoft.AspNet.Identity.Core.ru
* Microsoft.AspNet.Identity.Core.tr
* Microsoft.AspNet.Identity.Core.zh-Hans
* Microsoft.AspNet.Identity.Core.zh-Hant
* Microsoft.AspNet.Identity.EntityFramework
* Microsoft.AspNet.Identity.EntityFramework.cs
* Microsoft.AspNet.Identity.EntityFramework.de
* Microsoft.AspNet.Identity.EntityFramework.es
* Microsoft.AspNet.Identity.EntityFramework.fr
* Microsoft.AspNet.Identity.EntityFramework.it
* Microsoft.AspNet.Identity.EntityFramework.ja
* Microsoft.AspNet.Identity.EntityFramework.ko
* Microsoft.AspNet.Identity.EntityFramework.pl
* Microsoft.AspNet.Identity.EntityFramework.pt-br
* Microsoft.AspNet.Identity.EntityFramework.ru
* Microsoft.AspNet.Identity.EntityFramework.tr
* Microsoft.AspNet.Identity.EntityFramework.zh-Hans
* Microsoft.AspNet.Identity.EntityFramework.zh-Hant
* Microsoft.AspNet.Identity.Owin
* Microsoft.AspNet.Identity.Owin.cs
* Microsoft.AspNet.Identity.Owin.de
* Microsoft.AspNet.Identity.Owin.es
* Microsoft.AspNet.Identity.Owin.fr
* Microsoft.AspNet.Identity.Owin.it
* Microsoft.AspNet.Identity.Owin.ja
* Microsoft.AspNet.Identity.Owin.ko
* Microsoft.AspNet.Identity.Owin.pl
* Microsoft.AspNet.Identity.Owin.pt-br
* Microsoft.AspNet.Identity.Owin.ru
* Microsoft.AspNet.Identity.Owin.tr
* Microsoft.AspNet.Identity.Owin.zh-Hans
* Microsoft.AspNet.Identity.Owin.zh-Hant
* Microsoft.AspNet.Identity.Samples
* Microsoft.AspNet.IISPlatformHandler
* Microsoft.AspNet.Loader.IIS
* Microsoft.AspNet.Loader.IIS.Interop
* Microsoft.AspNet.Localization
* Microsoft.AspNet.Membership.OpenAuth
* Microsoft.AspNet.Membership.OpenAuth.cs
* Microsoft.AspNet.Membership.OpenAuth.de
* Microsoft.AspNet.Membership.OpenAuth.es
* Microsoft.AspNet.Membership.OpenAuth.fr
* Microsoft.AspNet.Membership.OpenAuth.it
* Microsoft.AspNet.Membership.OpenAuth.ja
* Microsoft.AspNet.Membership.OpenAuth.ko
* Microsoft.AspNet.Membership.OpenAuth.pl
* Microsoft.AspNet.Membership.OpenAuth.pt-br
* Microsoft.AspNet.Membership.OpenAuth.ru
* Microsoft.AspNet.Membership.OpenAuth.tr
* Microsoft.AspNet.Membership.OpenAuth.zh-Hans
* Microsoft.AspNet.Membership.OpenAuth.zh-Hant
* Microsoft.AspNet.Merge
* Microsoft.AspNet.Mvc
* Microsoft.AspNet.Mvc.Abstractions
* Microsoft.AspNet.Mvc.ApiExplorer
* Microsoft.AspNet.Mvc.Core
* Microsoft.AspNet.Mvc.Cors
* Microsoft.AspNet.Mvc.cs
* Microsoft.AspNet.Mvc.DataAnnotations
* Microsoft.AspNet.Mvc.de
* Microsoft.AspNet.Mvc.es
* Microsoft.AspNet.Mvc.Facebook
* Microsoft.AspNet.Mvc.Facebook.cs
* Microsoft.AspNet.Mvc.Facebook.de
* Microsoft.AspNet.Mvc.Facebook.es
* Microsoft.AspNet.Mvc.Facebook.fr
* Microsoft.AspNet.Mvc.Facebook.it
* Microsoft.AspNet.Mvc.Facebook.ja
* Microsoft.AspNet.Mvc.Facebook.ko
* Microsoft.AspNet.Mvc.Facebook.pl
* Microsoft.AspNet.Mvc.Facebook.pt-br
* Microsoft.AspNet.Mvc.Facebook.ru
* Microsoft.AspNet.Mvc.Facebook.tr
* Microsoft.AspNet.Mvc.Facebook.zh-Hans
* Microsoft.AspNet.Mvc.Facebook.zh-Hant
* Microsoft.AspNet.Mvc.FixedDisplayModes
* Microsoft.AspNet.Mvc.Formatters.Json
* Microsoft.AspNet.Mvc.Formatters.Xml
* Microsoft.AspNet.Mvc.fr
* Microsoft.AspNet.Mvc.Futures
* Microsoft.AspNet.Mvc.HeaderValueAbstractions
* Microsoft.AspNet.Mvc.it
* Microsoft.AspNet.Mvc.ja
* Microsoft.AspNet.Mvc.ko
* Microsoft.AspNet.Mvc.Localization
* Microsoft.AspNet.Mvc.ModelBinding
* Microsoft.AspNet.Mvc.pl
* Microsoft.AspNet.Mvc.pt-br
* Microsoft.AspNet.Mvc.Razor
* Microsoft.AspNet.Mvc.Razor.Host
* Microsoft.AspNet.Mvc.ru
* Microsoft.AspNet.Mvc.TagHelpers
* Microsoft.AspNet.Mvc.tr
* Microsoft.AspNet.Mvc.ViewFeatures
* Microsoft.AspNet.Mvc.WebApiCompatShim
* Microsoft.AspNet.Mvc.Xml
* Microsoft.AspNet.Mvc.zh-Hans
* Microsoft.AspNet.Mvc.zh-Hant
* Microsoft.AspNet.OData
* Microsoft.AspNet.OData.fr
* Microsoft.AspNet.OData.it
* Microsoft.AspNet.OData.ja
* Microsoft.AspNet.OData.ko
* Microsoft.AspNet.OData.pl
* Microsoft.AspNet.OData.pt-br
* Microsoft.AspNet.OData.ru
* Microsoft.AspNet.OData.tr
* Microsoft.AspNet.OData.zh-Hans
* Microsoft.AspNet.OData.zh-Hant
* Microsoft.AspNet.OutputCache.CosmosDBTableAsyncOutputCacheProvider
* Microsoft.AspNet.OutputCache.OutputCacheModuleAsync
* Microsoft.AspNet.OutputCache.SQLAsyncOutputCacheProvider
* Microsoft.AspNet.PageExecutionInstrumentation.Interfaces
* Microsoft.AspNet.PipelineCore
* Microsoft.AspNet.Providers
* Microsoft.AspNet.Providers.Core
* Microsoft.AspNet.Providers.Core.cs
* Microsoft.AspNet.Providers.Core.de
* Microsoft.AspNet.Providers.Core.es
* Microsoft.AspNet.Providers.Core.fr
* Microsoft.AspNet.Providers.Core.it
* Microsoft.AspNet.Providers.Core.ja
* Microsoft.AspNet.Providers.Core.ko
* Microsoft.AspNet.Providers.Core.pl
* Microsoft.AspNet.Providers.Core.pt-br
* Microsoft.AspNet.Providers.Core.ru
* Microsoft.AspNet.Providers.Core.tr
* Microsoft.AspNet.Providers.Core.zh-Hans
* Microsoft.AspNet.Providers.Core.zh-Hant
* Microsoft.AspNet.Providers.LocalDB
* Microsoft.AspNet.Providers.SqlCE
* Microsoft.AspNet.Proxy
* Microsoft.AspNet.Razor
* Microsoft.AspNet.Razor.cs
* Microsoft.AspNet.Razor.de
* Microsoft.AspNet.Razor.es
* Microsoft.AspNet.Razor.fr
* Microsoft.AspNet.Razor.it
* Microsoft.AspNet.Razor.ja
* Microsoft.AspNet.Razor.ko
* Microsoft.AspNet.Razor.pl
* Microsoft.AspNet.Razor.pt-br
* Microsoft.AspNet.Razor.ru
* Microsoft.AspNet.Razor.Runtime
* Microsoft.AspNet.Razor.Runtime.Precompilation
* Microsoft.AspNet.Razor.tr
* Microsoft.AspNet.Razor.zh-Hans
* Microsoft.AspNet.Razor.zh-Hant
* Microsoft.AspNet.RequestContainer
* Microsoft.AspNet.Routing
* Microsoft.AspNet.Scaffolding.12.0
* Microsoft.AspNet.Scaffolding.EntityFramework.12.0
* Microsoft.AspNet.Scaffolding.Infrastructure
* Microsoft.AspNet.Scaffolding.WebForms
* Microsoft.AspNet.ScriptManager.MSAjax
* Microsoft.AspNet.ScriptManager.WebForms
* Microsoft.AspNet.Security
* Microsoft.AspNet.Security.Cookies
* Microsoft.AspNet.Security.DataProtection
* Microsoft.AspNet.Security.DataProtection.Azure
* Microsoft.AspNet.Security.DataProtection.Compatibility
* Microsoft.AspNet.Security.Facebook
* Microsoft.AspNet.Security.Google
* Microsoft.AspNet.Security.MicrosoftAccount
* Microsoft.AspNet.Security.OAuth
* Microsoft.AspNet.Security.Twitter
* Microsoft.AspNet.Server.IIS
* Microsoft.AspNet.Server.WebListener
* Microsoft.AspNet.Session
* Microsoft.AspNet.SessionState.CosmosDBSessionStateProviderAsync
* Microsoft.AspNet.SessionState.SessionStateModule
* Microsoft.AspNet.SessionState.SqlSessionStateProviderAsync
* Microsoft.AspNet.SignalR
* Microsoft.AspNet.SignalR.Client
* Microsoft.AspNet.SignalR.Client.Cpp.v120.WinDesktop
* Microsoft.AspNet.SignalR.Client.Cpp.v140.UWP
* Microsoft.AspNet.SignalR.Client.Cpp.v140.WinDesktop
* Microsoft.AspNet.SignalR.Client.cs
* Microsoft.AspNet.SignalR.Client.de
* Microsoft.AspNet.SignalR.Client.es
* Microsoft.AspNet.SignalR.Client.fr
* Microsoft.AspNet.SignalR.Client.it
* Microsoft.AspNet.SignalR.Client.ja
* Microsoft.AspNet.SignalR.Client.ko
* Microsoft.AspNet.SignalR.Client.pl
* Microsoft.AspNet.SignalR.Client.pt-br
* Microsoft.AspNet.SignalR.Client.ru
* Microsoft.AspNet.SignalR.Client.tr
* Microsoft.AspNet.SignalR.Client.zh-Hans
* Microsoft.AspNet.SignalR.Client.zh-Hant
* Microsoft.AspNet.SignalR.Core
* Microsoft.AspNet.SignalR.Core.cs
* Microsoft.AspNet.SignalR.Core.de
* Microsoft.AspNet.SignalR.Core.es
* Microsoft.AspNet.SignalR.Core.fr
* Microsoft.AspNet.SignalR.Core.it
* Microsoft.AspNet.SignalR.Core.ja
* Microsoft.AspNet.SignalR.Core.ko
* Microsoft.AspNet.SignalR.Core.pl
* Microsoft.AspNet.SignalR.Core.pt-br
* Microsoft.AspNet.SignalR.Core.ru
* Microsoft.AspNet.SignalR.Core.tr
* Microsoft.AspNet.SignalR.Core.zh-Hans
* Microsoft.AspNet.SignalR.Core.zh-Hant
* Microsoft.AspNet.SignalR.cs
* Microsoft.AspNet.SignalR.de
* Microsoft.AspNet.SignalR.es
* Microsoft.AspNet.SignalR.fr
* Microsoft.AspNet.SignalR.i18n
* Microsoft.AspNet.SignalR.it
* Microsoft.AspNet.SignalR.ja
* Microsoft.AspNet.SignalR.JS
* Microsoft.AspNet.SignalR.ko
* Microsoft.AspNet.SignalR.Messaging
* Microsoft.AspNet.SignalR.Owin
* Microsoft.AspNet.SignalR.pl
* Microsoft.AspNet.SignalR.pt-br
* Microsoft.AspNet.SignalR.Redis
* Microsoft.AspNet.SignalR.Redis.cs
* Microsoft.AspNet.SignalR.Redis.de
* Microsoft.AspNet.SignalR.Redis.es
* Microsoft.AspNet.SignalR.Redis.fr
* Microsoft.AspNet.SignalR.Redis.it
* Microsoft.AspNet.SignalR.Redis.ja
* Microsoft.AspNet.SignalR.Redis.ko
* Microsoft.AspNet.SignalR.Redis.pl
* Microsoft.AspNet.SignalR.Redis.pt-br
* Microsoft.AspNet.SignalR.Redis.ru
* Microsoft.AspNet.SignalR.Redis.tr
* Microsoft.AspNet.SignalR.Redis.zh-Hans
* Microsoft.AspNet.SignalR.Redis.zh-Hant
* Microsoft.AspNet.SignalR.ru
* Microsoft.AspNet.SignalR.Sample
* Microsoft.AspNet.SignalR.SelfHost
* Microsoft.AspNet.SignalR.Server
* Microsoft.AspNet.SignalR.ServiceBus
* Microsoft.AspNet.SignalR.ServiceBus.cs
* Microsoft.AspNet.SignalR.ServiceBus.de
* Microsoft.AspNet.SignalR.ServiceBus.es
* Microsoft.AspNet.SignalR.ServiceBus.fr
* Microsoft.AspNet.SignalR.ServiceBus.it
* Microsoft.AspNet.SignalR.ServiceBus.ja
* Microsoft.AspNet.SignalR.ServiceBus.ko
* Microsoft.AspNet.SignalR.ServiceBus.pl
* Microsoft.AspNet.SignalR.ServiceBus.pt-br
* Microsoft.AspNet.SignalR.ServiceBus.ru
* Microsoft.AspNet.SignalR.ServiceBus.tr
* Microsoft.AspNet.SignalR.ServiceBus.zh-Hans
* Microsoft.AspNet.SignalR.ServiceBus.zh-Hant
* Microsoft.AspNet.SignalR.ServiceBus3
* Microsoft.AspNet.SignalR.ServiceBus3.cs
* Microsoft.AspNet.SignalR.ServiceBus3.de
* Microsoft.AspNet.SignalR.ServiceBus3.es
* Microsoft.AspNet.SignalR.ServiceBus3.fr
* Microsoft.AspNet.SignalR.ServiceBus3.it
* Microsoft.AspNet.SignalR.ServiceBus3.ja
* Microsoft.AspNet.SignalR.ServiceBus3.ko
* Microsoft.AspNet.SignalR.ServiceBus3.pl
* Microsoft.AspNet.SignalR.ServiceBus3.pt-br
* Microsoft.AspNet.SignalR.ServiceBus3.ru
* Microsoft.AspNet.SignalR.ServiceBus3.tr
* Microsoft.AspNet.SignalR.ServiceBus3.zh-Hans
* Microsoft.AspNet.SignalR.ServiceBus3.zh-Hant
* Microsoft.AspNet.SignalR.SqlServer
* Microsoft.AspNet.SignalR.SqlServer.cs
* Microsoft.AspNet.SignalR.SqlServer.de
* Microsoft.AspNet.SignalR.SqlServer.es
* Microsoft.AspNet.SignalR.SqlServer.fr
* Microsoft.AspNet.SignalR.SqlServer.it
* Microsoft.AspNet.SignalR.SqlServer.ja
* Microsoft.AspNet.SignalR.SqlServer.ko
* Microsoft.AspNet.SignalR.SqlServer.pl
* Microsoft.AspNet.SignalR.SqlServer.pt-br
* Microsoft.AspNet.SignalR.SqlServer.ru
* Microsoft.AspNet.SignalR.SqlServer.tr
* Microsoft.AspNet.SignalR.SqlServer.zh-Hans
* Microsoft.AspNet.SignalR.SqlServer.zh-Hant
* Microsoft.AspNet.SignalR.StackExchangeRedis
* Microsoft.AspNet.SignalR.SystemWeb
* Microsoft.AspNet.SignalR.SystemWeb.cs
* Microsoft.AspNet.SignalR.SystemWeb.de
* Microsoft.AspNet.SignalR.SystemWeb.es
* Microsoft.AspNet.SignalR.SystemWeb.fr
* Microsoft.AspNet.SignalR.SystemWeb.it
* Microsoft.AspNet.SignalR.SystemWeb.ja
* Microsoft.AspNet.SignalR.SystemWeb.ko
* Microsoft.AspNet.SignalR.SystemWeb.pl
* Microsoft.AspNet.SignalR.SystemWeb.pt-br
* Microsoft.AspNet.SignalR.SystemWeb.ru
* Microsoft.AspNet.SignalR.SystemWeb.tr
* Microsoft.AspNet.SignalR.SystemWeb.zh-Hans
* Microsoft.AspNet.SignalR.SystemWeb.zh-Hant
* Microsoft.AspNet.SignalR.tr
* Microsoft.AspNet.SignalR.Utils
* Microsoft.AspNet.SignalR.zh-Hans
* Microsoft.AspNet.SignalR.zh-Hant
* Microsoft.AspNet.StaticFiles
* Microsoft.AspNet.TelemetryCorrelation
* Microsoft.AspNet.TestHost
* Microsoft.AspNet.Tooling.Razor
* Microsoft.AspNet.Web.Helpers.Mvc
* Microsoft.AspNet.Web.Optimization
* Microsoft.AspNet.Web.Optimization.cs
* Microsoft.AspNet.Web.Optimization.de
* Microsoft.AspNet.Web.Optimization.es
* Microsoft.AspNet.Web.Optimization.fr
* Microsoft.AspNet.Web.Optimization.it
* Microsoft.AspNet.Web.Optimization.ja
* Microsoft.AspNet.Web.Optimization.ko
* Microsoft.AspNet.Web.Optimization.pl
* Microsoft.AspNet.Web.Optimization.pt-br
* Microsoft.AspNet.Web.Optimization.ru
* Microsoft.AspNet.Web.Optimization.tr
* Microsoft.AspNet.Web.Optimization.WebForms
* Microsoft.AspNet.Web.Optimization.zh-Hans
* Microsoft.AspNet.Web.Optimization.zh-Hant
* Microsoft.AspNet.WebApi
* Microsoft.AspNet.WebApi.Client
* Microsoft.AspNet.WebApi.Client.cs
* Microsoft.AspNet.WebApi.Client.de
* Microsoft.AspNet.WebApi.Client.es
* Microsoft.AspNet.WebApi.Client.fr
* Microsoft.AspNet.WebApi.Client.it
* Microsoft.AspNet.WebApi.Client.ja
* Microsoft.AspNet.WebApi.Client.ko
* Microsoft.AspNet.WebApi.Client.pl
* Microsoft.AspNet.WebApi.Client.pt-br
* Microsoft.AspNet.WebApi.Client.ru
* Microsoft.AspNet.WebApi.Client.tr
* Microsoft.AspNet.WebApi.Client.zh-Hans
* Microsoft.AspNet.WebApi.Client.zh-Hant
* Microsoft.AspNet.WebApi.Core
* Microsoft.AspNet.WebApi.Core.cs
* Microsoft.AspNet.WebApi.Core.de
* Microsoft.AspNet.WebApi.Core.es
* Microsoft.AspNet.WebApi.Core.fr
* Microsoft.AspNet.WebApi.Core.it
* Microsoft.AspNet.WebApi.Core.ja
* Microsoft.AspNet.WebApi.Core.ko
* Microsoft.AspNet.WebApi.Core.pl
* Microsoft.AspNet.WebApi.Core.pt-br
* Microsoft.AspNet.WebApi.Core.ru
* Microsoft.AspNet.WebApi.Core.tr
* Microsoft.AspNet.WebApi.Core.zh-Hans
* Microsoft.AspNet.WebApi.Core.zh-Hant
* Microsoft.AspNet.WebApi.Cors
* Microsoft.AspNet.WebApi.Cors.cs
* Microsoft.AspNet.WebApi.Cors.de
* Microsoft.AspNet.WebApi.Cors.es
* Microsoft.AspNet.WebApi.Cors.fr
* Microsoft.AspNet.WebApi.Cors.it
* Microsoft.AspNet.WebApi.Cors.ja
* Microsoft.AspNet.WebApi.Cors.ko
* Microsoft.AspNet.WebApi.Cors.pl
* Microsoft.AspNet.WebApi.Cors.pt-br
* Microsoft.AspNet.WebApi.Cors.ru
* Microsoft.AspNet.WebApi.Cors.tr
* Microsoft.AspNet.WebApi.Cors.zh-Hans
* Microsoft.AspNet.WebApi.Cors.zh-Hant
* Microsoft.AspNet.WebApi.HelpPage
* Microsoft.AspNet.WebApi.HelpPage.VB
* Microsoft.AspNet.WebApi.OData
* Microsoft.AspNet.WebApi.OData.cs
* Microsoft.AspNet.WebApi.OData.de
* Microsoft.AspNet.WebApi.OData.es
* Microsoft.AspNet.WebApi.OData.fr
* Microsoft.AspNet.WebApi.OData.it
* Microsoft.AspNet.WebApi.OData.ja
* Microsoft.AspNet.WebApi.OData.ko
* Microsoft.AspNet.WebApi.OData.pl
* Microsoft.AspNet.WebApi.OData.pt-br
* Microsoft.AspNet.WebApi.OData.ru
* Microsoft.AspNet.WebApi.OData.tr
* Microsoft.AspNet.WebApi.OData.zh-Hans
* Microsoft.AspNet.WebApi.OData.zh-Hant
* Microsoft.AspNet.WebApi.Owin
* Microsoft.AspNet.WebApi.Owin.cs
* Microsoft.AspNet.WebApi.Owin.de
* Microsoft.AspNet.WebApi.Owin.es
* Microsoft.AspNet.WebApi.Owin.fr
* Microsoft.AspNet.WebApi.Owin.it
* Microsoft.AspNet.WebApi.Owin.ja
* Microsoft.AspNet.WebApi.Owin.ko
* Microsoft.AspNet.WebApi.Owin.pl
* Microsoft.AspNet.WebApi.Owin.pt-br
* Microsoft.AspNet.WebApi.Owin.ru
* Microsoft.AspNet.WebApi.Owin.tr
* Microsoft.AspNet.WebApi.Owin.zh-Hans
* Microsoft.AspNet.WebApi.Owin.zh-Hant
* Microsoft.AspNet.WebApi.OwinSelfHost
* Microsoft.AspNet.WebApi.SelfHost
* Microsoft.AspNet.WebApi.SelfHost.cs
* Microsoft.AspNet.WebApi.SelfHost.de
* Microsoft.AspNet.WebApi.SelfHost.es
* Microsoft.AspNet.WebApi.SelfHost.fr
* Microsoft.AspNet.WebApi.SelfHost.it
* Microsoft.AspNet.WebApi.SelfHost.ja
* Microsoft.AspNet.WebApi.SelfHost.ko
* Microsoft.AspNet.WebApi.SelfHost.pl
* Microsoft.AspNet.WebApi.SelfHost.pt-br
* Microsoft.AspNet.WebApi.SelfHost.ru
* Microsoft.AspNet.WebApi.SelfHost.tr
* Microsoft.AspNet.WebApi.SelfHost.zh-Hans
* Microsoft.AspNet.WebApi.SelfHost.zh-Hant
* Microsoft.AspNet.WebApi.SignalR
* Microsoft.AspNet.WebApi.SignalR.cs
* Microsoft.AspNet.WebApi.SignalR.de
* Microsoft.AspNet.WebApi.SignalR.es
* Microsoft.AspNet.WebApi.SignalR.fr
* Microsoft.AspNet.WebApi.SignalR.it
* Microsoft.AspNet.WebApi.SignalR.ja
* Microsoft.AspNet.WebApi.SignalR.ko
* Microsoft.AspNet.WebApi.SignalR.pl
* Microsoft.AspNet.WebApi.SignalR.pt-br
* Microsoft.AspNet.WebApi.SignalR.ru
* Microsoft.AspNet.WebApi.SignalR.tr
* Microsoft.AspNet.WebApi.SignalR.zh-Hans
* Microsoft.AspNet.WebApi.SignalR.zh-Hant
* Microsoft.AspNet.WebApi.Tracing
* Microsoft.AspNet.WebApi.Tracing.cs
* Microsoft.AspNet.WebApi.Tracing.de
* Microsoft.AspNet.WebApi.Tracing.es
* Microsoft.AspNet.WebApi.Tracing.fr
* Microsoft.AspNet.WebApi.Tracing.it
* Microsoft.AspNet.WebApi.Tracing.ja
* Microsoft.AspNet.WebApi.Tracing.ko
* Microsoft.AspNet.WebApi.Tracing.pl
* Microsoft.AspNet.WebApi.Tracing.pt-br
* Microsoft.AspNet.WebApi.Tracing.ru
* Microsoft.AspNet.WebApi.Tracing.tr
* Microsoft.AspNet.WebApi.Tracing.zh-Hans
* Microsoft.AspNet.WebApi.Tracing.zh-Hant
* Microsoft.AspNet.WebApi.WebHost
* Microsoft.AspNet.WebApi.WebHost.cs
* Microsoft.AspNet.WebApi.WebHost.de
* Microsoft.AspNet.WebApi.WebHost.es
* Microsoft.AspNet.WebApi.WebHost.fr
* Microsoft.AspNet.WebApi.WebHost.it
* Microsoft.AspNet.WebApi.WebHost.ja
* Microsoft.AspNet.WebApi.WebHost.ko
* Microsoft.AspNet.WebApi.WebHost.pl
* Microsoft.AspNet.WebApi.WebHost.pt-br
* Microsoft.AspNet.WebApi.WebHost.ru
* Microsoft.AspNet.WebApi.WebHost.tr
* Microsoft.AspNet.WebApi.WebHost.zh-Hans
* Microsoft.AspNet.WebApi.WebHost.zh-Hant
* Microsoft.AspNet.WebFormsDependencyInjection.Unity
* Microsoft.AspNet.WebHelpers
* Microsoft.AspNet.WebHooks.Common
* Microsoft.AspNet.WebHooks.Custom
* Microsoft.AspNet.WebHooks.Custom.Api
* Microsoft.AspNet.WebHooks.Custom.AzureStorage
* Microsoft.AspNet.WebHooks.Custom.Mvc
* Microsoft.AspNet.WebHooks.Custom.SqlStorage
* Microsoft.AspNet.WebHooks.Receivers
* Microsoft.AspNet.WebHooks.Receivers.Azure
* Microsoft.AspNet.WebHooks.Receivers.Bitbucket
* Microsoft.AspNet.WebHooks.Receivers.Custom
* Microsoft.AspNet.WebHooks.Receivers.Dropbox
* Microsoft.AspNet.WebHooks.Receivers.DynamicsCRM
* Microsoft.AspNet.WebHooks.Receivers.Generic
* Microsoft.AspNet.WebHooks.Receivers.GitHub
* Microsoft.AspNet.WebHooks.Receivers.Instagram
* Microsoft.AspNet.WebHooks.Receivers.MailChimp
* Microsoft.AspNet.WebHooks.Receivers.MyGet
* Microsoft.AspNet.WebHooks.Receivers.Paypal
* Microsoft.AspNet.WebHooks.Receivers.Pusher
* Microsoft.AspNet.WebHooks.Receivers.Salesforce
* Microsoft.AspNet.WebHooks.Receivers.Slack
* Microsoft.AspNet.WebHooks.Receivers.Stripe
* Microsoft.AspNet.WebHooks.Receivers.Trello
* Microsoft.AspNet.WebHooks.Receivers.VSTS
* Microsoft.AspNet.WebHooks.Receivers.WordPress
* Microsoft.AspNet.WebHooks.Receivers.Zendesk
* Microsoft.AspNet.WebPages
* Microsoft.AspNet.WebPages.Administration
* Microsoft.AspNet.WebPages.Administration.cs
* Microsoft.AspNet.WebPages.Administration.de
* Microsoft.AspNet.WebPages.Administration.es
* Microsoft.AspNet.WebPages.Administration.fr
* Microsoft.AspNet.WebPages.Administration.it
* Microsoft.AspNet.WebPages.Administration.ja
* Microsoft.AspNet.WebPages.Administration.ko
* Microsoft.AspNet.WebPages.Administration.pl
* Microsoft.AspNet.WebPages.Administration.pt-br
* Microsoft.AspNet.WebPages.Administration.ru
* Microsoft.AspNet.WebPages.Administration.tr
* Microsoft.AspNet.WebPages.Administration.zh-Hans
* Microsoft.AspNet.WebPages.Administration.zh-Hant
* Microsoft.AspNet.WebPages.cs
* Microsoft.AspNet.WebPages.Data
* Microsoft.AspNet.WebPages.Data.cs
* Microsoft.AspNet.WebPages.Data.de
* Microsoft.AspNet.WebPages.Data.es
* Microsoft.AspNet.WebPages.Data.fr
* Microsoft.AspNet.WebPages.Data.it
* Microsoft.AspNet.WebPages.Data.ja
* Microsoft.AspNet.WebPages.Data.ko
* Microsoft.AspNet.WebPages.Data.pl
* Microsoft.AspNet.WebPages.Data.pt-br
* Microsoft.AspNet.WebPages.Data.ru
* Microsoft.AspNet.WebPages.Data.tr
* Microsoft.AspNet.WebPages.Data.zh-Hans
* Microsoft.AspNet.WebPages.Data.zh-Hant
* Microsoft.AspNet.WebPages.de
* Microsoft.AspNet.WebPages.es
* Microsoft.AspNet.WebPages.fr
* Microsoft.AspNet.WebPages.it
* Microsoft.AspNet.WebPages.ja
* Microsoft.AspNet.WebPages.ko
* Microsoft.AspNet.WebPages.OAuth
* Microsoft.AspNet.WebPages.OAuth.cs
* Microsoft.AspNet.WebPages.OAuth.de
* Microsoft.AspNet.WebPages.OAuth.es
* Microsoft.AspNet.WebPages.OAuth.fr
* Microsoft.AspNet.WebPages.OAuth.it
* Microsoft.AspNet.WebPages.OAuth.ja
* Microsoft.AspNet.WebPages.OAuth.ko
* Microsoft.AspNet.WebPages.OAuth.pl
* Microsoft.AspNet.WebPages.OAuth.pt-br
* Microsoft.AspNet.WebPages.OAuth.ru
* Microsoft.AspNet.WebPages.OAuth.tr
* Microsoft.AspNet.WebPages.OAuth.zh-Hans
* Microsoft.AspNet.WebPages.OAuth.zh-Hant
* Microsoft.AspNet.WebPages.pl
* Microsoft.AspNet.WebPages.pt-br
* Microsoft.AspNet.WebPages.ru
* Microsoft.AspNet.WebPages.tr
* Microsoft.AspNet.WebPages.WebData
* Microsoft.AspNet.WebPages.WebData.cs
* Microsoft.AspNet.WebPages.WebData.de
* Microsoft.AspNet.WebPages.WebData.es
* Microsoft.AspNet.WebPages.WebData.fr
* Microsoft.AspNet.WebPages.WebData.it
* Microsoft.AspNet.WebPages.WebData.ja
* Microsoft.AspNet.WebPages.WebData.ko
* Microsoft.AspNet.WebPages.WebData.pl
* Microsoft.AspNet.WebPages.WebData.pt-br
* Microsoft.AspNet.WebPages.WebData.ru
* Microsoft.AspNet.WebPages.WebData.tr
* Microsoft.AspNet.WebPages.WebData.zh-Hans
* Microsoft.AspNet.WebPages.WebData.zh-Hant
* Microsoft.AspNet.WebPages.zh-Hans
* Microsoft.AspNet.WebPages.zh-Hant
* Microsoft.AspNet.WebSockets.Client
* Microsoft.AspNet.WebSockets.Protocol
* Microsoft.AspNet.WebSockets.Server
* Microsoft.AspNet.WebUtilities
* Microsoft.AspNetCore.AngularServices
* Microsoft.AspNetCore.Antiforgery
* Microsoft.AspNetCore.ApiAuthorization.IdentityServer
* Microsoft.AspNetCore.App.Runtime.linux-arm
* Microsoft.AspNetCore.App.Runtime.linux-arm64
* Microsoft.AspNetCore.App.Runtime.linux-musl-arm
* Microsoft.AspNetCore.App.Runtime.linux-musl-arm64
* Microsoft.AspNetCore.App.Runtime.linux-musl-x64
* Microsoft.AspNetCore.App.Runtime.linux-x64
* Microsoft.AspNetCore.App.Runtime.osx-arm64
* Microsoft.AspNetCore.App.Runtime.osx-x64
* Microsoft.AspNetCore.App.Runtime.win-arm
* Microsoft.AspNetCore.App.Runtime.win-arm64
* Microsoft.AspNetCore.App.Runtime.win-x64
* Microsoft.AspNetCore.App.Runtime.win-x86
* Microsoft.AspNetCore.ApplicationInsights.HostingStartup
* Microsoft.AspNetCore.ApplicationInsightsLightup
* Microsoft.AspNetCore.AspNetCoreModule
* Microsoft.AspNetCore.Authentication
* Microsoft.AspNetCore.Authentication.Abstractions
* Microsoft.AspNetCore.Authentication.AzureAD.UI
* Microsoft.AspNetCore.Authentication.AzureADB2C.UI
* Microsoft.AspNetCore.Authentication.Certificate
* Microsoft.AspNetCore.Authentication.Cookies
* Microsoft.AspNetCore.Authentication.Core
* Microsoft.AspNetCore.Authentication.Facebook
* Microsoft.AspNetCore.Authentication.Google
* Microsoft.AspNetCore.Authentication.JwtBearer
* Microsoft.AspNetCore.Authentication.MicrosoftAccount
* Microsoft.AspNetCore.Authentication.Negotiate
* Microsoft.AspNetCore.Authentication.OAuth
* Microsoft.AspNetCore.Authentication.OpenIdConnect
* Microsoft.AspNetCore.Authentication.Twitter
* Microsoft.AspNetCore.Authentication.WsFederation
* Microsoft.AspNetCore.Authorization
* Microsoft.AspNetCore.Authorization.Policy
* Microsoft.AspNetCore.AzureAppServices.HostingStartup
* Microsoft.AspNetCore.AzureAppServices.SiteExtension
* Microsoft.AspNetCore.AzureAppServicesIntegration
* Microsoft.AspNetCore.AzureKeyVault.HostingStartup
* Microsoft.AspNetCore.Blazor.HttpClient
* Microsoft.AspNetCore.Buffering
* Microsoft.AspNetCore.Components
* Microsoft.AspNetCore.Components.Analyzers
* Microsoft.AspNetCore.Components.Authorization
* Microsoft.AspNetCore.Components.DataAnnotations.Validation
* Microsoft.AspNetCore.Components.Forms
* Microsoft.AspNetCore.Components.ProtectedBrowserStorage
* Microsoft.AspNetCore.Components.Web
* Microsoft.AspNetCore.Components.Web.Extensions
* Microsoft.AspNetCore.Components.WebAssembly
* Microsoft.AspNetCore.Components.WebAssembly.Authentication
* Microsoft.AspNetCore.Components.WebAssembly.Build
* Microsoft.AspNetCore.Components.WebAssembly.DebugProxy
* Microsoft.AspNetCore.Components.WebAssembly.DevServer
* Microsoft.AspNetCore.Components.WebAssembly.HttpHandler
* Microsoft.AspNetCore.Components.WebAssembly.Runtime
* Microsoft.AspNetCore.Components.WebAssembly.Server
* Microsoft.AspNetCore.Components.WebAssembly.Templates
* Microsoft.AspNetCore.ConcurrencyLimiter
* Microsoft.AspNetCore.Connections.Abstractions
* Microsoft.AspNetCore.CookiePolicy
* Microsoft.AspNetCore.Cors
* Microsoft.AspNetCore.Cryptography.Internal
* Microsoft.AspNetCore.Cryptography.KeyDerivation
* Microsoft.AspNetCore.DataProtection
* Microsoft.AspNetCore.DataProtection.Abstractions
* Microsoft.AspNetCore.DataProtection.AzureKeyVault
* Microsoft.AspNetCore.DataProtection.AzureStorage
* Microsoft.AspNetCore.DataProtection.EntityFrameworkCore
* Microsoft.AspNetCore.DataProtection.Extensions
* Microsoft.AspNetCore.DataProtection.StackExchangeRedis
* Microsoft.AspNetCore.DataProtection.SystemWeb
* Microsoft.AspNetCore.Diagnostics
* Microsoft.AspNetCore.Diagnostics.Abstractions
* Microsoft.AspNetCore.Diagnostics.Elm
* Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore
* Microsoft.AspNetCore.Diagnostics.HealthChecks
* Microsoft.AspNetCore.Diagnostics.Identity.Service
* Microsoft.AspNetCore.Grpc.HttpApi
* Microsoft.AspNetCore.Grpc.Swagger
* Microsoft.AspNetCore.HeaderPropagation
* Microsoft.AspNetCore.HostFiltering
* Microsoft.AspNetCore.Hosting
* Microsoft.AspNetCore.Hosting.Abstractions
* Microsoft.AspNetCore.Hosting.Server.Abstractions
* Microsoft.AspNetCore.Hosting.WindowsServices
* Microsoft.AspNetCore.Html.Abstractions
* Microsoft.AspNetCore.Http
* Microsoft.AspNetCore.Http.Abstractions
* Microsoft.AspNetCore.Http.Connections
* Microsoft.AspNetCore.Http.Connections.Client
* Microsoft.AspNetCore.Http.Connections.Common
* Microsoft.AspNetCore.Http.Extensions
* Microsoft.AspNetCore.Http.Features
* Microsoft.AspNetCore.HttpOverrides
* Microsoft.AspNetCore.HttpsPolicy
* Microsoft.AspNetCore.Identity
* Microsoft.AspNetCore.Identity.EntityFrameworkCore
* Microsoft.AspNetCore.Identity.Service
* Microsoft.AspNetCore.Identity.Service.Abstractions
* Microsoft.AspNetCore.Identity.Service.Core
* Microsoft.AspNetCore.Identity.Service.EntityFrameworkCore
* Microsoft.AspNetCore.Identity.Service.IntegratedWebClient
* Microsoft.AspNetCore.Identity.Service.Mvc
* Microsoft.AspNetCore.Identity.Specification.Tests
* Microsoft.AspNetCore.Identity.UI
* Microsoft.AspNetCore.JsonPatch
* Microsoft.AspNetCore.Localization
* Microsoft.AspNetCore.Localization.Routing
* Microsoft.AspNetCore.Metadata
* Microsoft.AspNetCore.MiddlewareAnalysis
* Microsoft.AspNetCore.Mvc
* Microsoft.AspNetCore.Mvc.Abstractions
* Microsoft.AspNetCore.Mvc.Analyzers
* Microsoft.AspNetCore.Mvc.Api.Analyzers
* Microsoft.AspNetCore.Mvc.ApiExplorer
* Microsoft.AspNetCore.Mvc.Core
* Microsoft.AspNetCore.Mvc.Cors
* Microsoft.AspNetCore.Mvc.DataAnnotations
* Microsoft.AspNetCore.Mvc.Formatters.Json
* Microsoft.AspNetCore.Mvc.Formatters.Xml
* Microsoft.AspNetCore.Mvc.Localization
* Microsoft.AspNetCore.Mvc.NewtonsoftJson
* Microsoft.AspNetCore.Mvc.Razor
* Microsoft.AspNetCore.Mvc.Razor.Extensions
* Microsoft.AspNetCore.Mvc.Razor.Host
* Microsoft.AspNetCore.Mvc.Razor.Precompilation.Design
* Microsoft.AspNetCore.Mvc.Razor.Precompilation.Tools
* Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation
* Microsoft.AspNetCore.Mvc.Razor.ViewCompilation
* Microsoft.AspNetCore.Mvc.Razor.ViewCompilation.Design
* Microsoft.AspNetCore.Mvc.Razor.ViewCompilation.Tools
* Microsoft.AspNetCore.Mvc.RazorPages
* Microsoft.AspNetCore.Mvc.TagHelpers
* Microsoft.AspNetCore.Mvc.Testing
* Microsoft.AspNetCore.Mvc.ViewFeatures
* Microsoft.AspNetCore.Mvc.WebApiCompatShim
* Microsoft.AspNetCore.NodeServices
* Microsoft.AspNetCore.NodeServices.Sockets
* Microsoft.AspNetCore.Owin
* Microsoft.AspNetCore.ProtectedBrowserStorage
* Microsoft.AspNetCore.Protocols.Abstractions
* Microsoft.AspNetCore.Proxy
* Microsoft.AspNetCore.Razor
* Microsoft.AspNetCore.Razor.Design
* Microsoft.AspNetCore.Razor.Language
* Microsoft.AspNetCore.Razor.LanguageServer.Common
* Microsoft.AspNetCore.Razor.OmniSharpPlugin
* Microsoft.AspNetCore.Razor.OmniSharpPlugin.StrongNamed
* Microsoft.AspNetCore.Razor.Runtime
* Microsoft.AspNetCore.Razor.Tools
* Microsoft.AspNetCore.ReactServices
* Microsoft.AspNetCore.RequestThrottling
* Microsoft.AspNetCore.ResponseCaching
* Microsoft.AspNetCore.ResponseCaching.Abstractions
* Microsoft.AspNetCore.ResponseCompression
* Microsoft.AspNetCore.Rewrite
* Microsoft.AspNetCore.Routing
* Microsoft.AspNetCore.Routing.Abstractions
* Microsoft.AspNetCore.Server.HttpSys
* Microsoft.AspNetCore.Server.IIS
* Microsoft.AspNetCore.Server.IISIntegration
* Microsoft.AspNetCore.Server.Kestrel
* Microsoft.AspNetCore.Server.Kestrel.Core
* Microsoft.AspNetCore.Server.Kestrel.Https
* Microsoft.AspNetCore.Server.Kestrel.Transport.Abstractions
* Microsoft.AspNetCore.Server.Kestrel.Transport.Experimental.Quic
* Microsoft.AspNetCore.Server.Kestrel.Transport.Libuv
* Microsoft.AspNetCore.Server.Kestrel.Transport.Sockets
* Microsoft.AspNetCore.Server.WebListener
* Microsoft.AspNetCore.Session
* Microsoft.AspNetCore.SignalR
* Microsoft.AspNetCore.SignalR.Client
* Microsoft.AspNetCore.SignalR.Client.Core
* Microsoft.AspNetCore.SignalR.Common
* Microsoft.AspNetCore.SignalR.Core
* Microsoft.AspNetCore.SignalR.MsgPack
* Microsoft.AspNetCore.SignalR.Protocols.Json
* Microsoft.AspNetCore.SignalR.Protocols.MessagePack
* Microsoft.AspNetCore.SignalR.Protocols.NewtonsoftJson
* Microsoft.AspNetCore.SignalR.Redis
* Microsoft.AspNetCore.SignalR.Specification.Tests
* Microsoft.AspNetCore.SignalR.StackExchangeRedis
* Microsoft.AspNetCore.SpaServices
* Microsoft.AspNetCore.SpaServices.Extensions
* Microsoft.AspNetCore.SpaTemplates
* Microsoft.AspNetCore.StaticFiles
* Microsoft.AspNetCore.TestHost
* Microsoft.AspNetCore.WebHooks.Receivers
* Microsoft.AspNetCore.WebHooks.Receivers.AzureAlert
* Microsoft.AspNetCore.WebHooks.Receivers.BitBucket
* Microsoft.AspNetCore.WebHooks.Receivers.Dropbox
* Microsoft.AspNetCore.WebHooks.Receivers.DynamicsCRM
* Microsoft.AspNetCore.WebHooks.Receivers.GitHub
* Microsoft.AspNetCore.WebHooks.Receivers.Kudu
* Microsoft.AspNetCore.WebHooks.Receivers.MailChimp
* Microsoft.AspNetCore.WebHooks.Receivers.Pusher
* Microsoft.AspNetCore.WebHooks.Receivers.Salesforce
* Microsoft.AspNetCore.WebHooks.Receivers.Slack
* Microsoft.AspNetCore.WebHooks.Receivers.Stripe
* Microsoft.AspNetCore.WebHooks.Receivers.Trello
* Microsoft.AspNetCore.WebHooks.Receivers.WordPress
* Microsoft.AspNetCore.WebSockets
* Microsoft.AspNetCore.WebSockets.Protocol
* Microsoft.AspNetCore.WebSockets.Server
* Microsoft.AspNetCore.WebUtilities
* Microsoft.Authentication.WebAssembly.Msal
* Microsoft.Azure.Jobs
* Microsoft.Azure.Jobs.Core
* Microsoft.Azure.Jobs.ServiceBus
* Microsoft.Azure.WebJobs
* Microsoft.Azure.WebJobs.Core
* Microsoft.Azure.WebJobs.Extensions
* Microsoft.Azure.WebJobs.Extensions.ApiHub
* Microsoft.Azure.WebJobs.Extensions.DocumentDB
* Microsoft.Azure.WebJobs.Extensions.Http
* Microsoft.Azure.WebJobs.Extensions.MobileApps
* Microsoft.Azure.WebJobs.Extensions.NotificationHubs
* Microsoft.Azure.WebJobs.Extensions.SendGrid
* Microsoft.Azure.WebJobs.Extensions.Twilio
* Microsoft.Azure.WebJobs.Extensions.WebHooks
* Microsoft.Azure.WebJobs.Logging
* Microsoft.Azure.WebJobs.Logging.ApplicationInsights
* Microsoft.Azure.WebJobs.Script
* Microsoft.Azure.WebJobs.Script.Extensibility
* Microsoft.Azure.WebJobs.Script.WebHost
* Microsoft.Azure.WebJobs.ServiceBus
* Microsoft.Bcl
* Microsoft.Bcl.Async
* Microsoft.Bcl.AsyncInterfaces
* Microsoft.Bcl.Build
* Microsoft.Bcl.Compression
* Microsoft.Bcl.HashCode
* Microsoft.Bcl.Json.Sources
* Microsoft.Build
* Microsoft.Build.Artifacts
* Microsoft.Build.CentralPackageVersions
* Microsoft.Build.Conversion.Core
* Microsoft.Build.Engine
* Microsoft.Build.Framework
* Microsoft.Build.Localization
* Microsoft.Build.Locator
* Microsoft.Build.NoTargets
* Microsoft.Build.NuGetSdkResolver
* Microsoft.Build.Runtime
* Microsoft.Build.Tasks.Core
* Microsoft.Build.Traversal
* Microsoft.Build.Utilities.Core
* Microsoft.Cci
* Microsoft.CodeAnalysis.Build.Tasks
* Microsoft.CodeAnalysis.Collections
* Microsoft.CodeAnalysis.CSharp.EditorFeatures
* Microsoft.CodeAnalysis.Debugging
* Microsoft.CodeAnalysis.EditorFeatures.Cocoa
* Microsoft.CodeAnalysis.EditorFeatures.Common
* Microsoft.CodeAnalysis.ExternalAccess.Apex
* Microsoft.CodeAnalysis.ExternalAccess.Debugger
* Microsoft.CodeAnalysis.ExternalAccess.FSharp
* Microsoft.CodeAnalysis.ExternalAccess.Razor
* Microsoft.CodeAnalysis.ExternalAccess.Xamarin.Remote
* Microsoft.CodeAnalysis.InteractiveHost
* Microsoft.CodeAnalysis.LanguageServer.Protocol
* Microsoft.CodeAnalysis.PerformanceSensitiveAnalyzers
* Microsoft.CodeAnalysis.PooledObjects
* Microsoft.CodeAnalysis.Razor
* Microsoft.CodeAnalysis.Remote.Razor.ServiceHub
* Microsoft.CodeAnalysis.Remote.ServiceHub
* Microsoft.CodeAnalysis.Remote.Workspaces
* Microsoft.CodeAnalysis.VisualBasic.EditorFeatures
* Microsoft.CodeDom.Providers.DotNetCompilerPlatform
* Microsoft.Composition
* Microsoft.Configuration.ConfigurationBuilders.Azure
* Microsoft.Configuration.ConfigurationBuilders.AzureAppConfiguration
* Microsoft.Configuration.ConfigurationBuilders.Base
* Microsoft.Configuration.ConfigurationBuilders.Environment
* Microsoft.Configuration.ConfigurationBuilders.Json
* Microsoft.Configuration.ConfigurationBuilders.KeyPerFile
* Microsoft.Configuration.ConfigurationBuilders.UserSecrets
* Microsoft.Crank.Agent
* Microsoft.Crank.AzureDevOpsWorker
* Microsoft.Crank.Controller
* Microsoft.Crank.EventSources
* Microsoft.CSharp
* Microsoft.Data.Analysis
* Microsoft.Data.Sqlite
* Microsoft.Data.Sqlite.Core
* Microsoft.Deployment.DotNet.Releases
* Microsoft.Diagnostics.NETCore.Client
* Microsoft.Diagnostics.Runtime
* Microsoft.Diagnostics.Runtime.Utilities
* Microsoft.Diagnostics.Tracing.EventSource
* Microsoft.Diagnostics.Tracing.EventSource.Redist
* Microsoft.Diagnostics.Tracing.EventSource.Samples
* Microsoft.Diagnostics.Tracing.TraceEvent
* Microsoft.Diagnostics.Tracing.TraceEvent.AutomatedAnalysis.Analyzers
* Microsoft.Diagnostics.Tracing.TraceEvent.AutomatedAnalysis.Rules
* Microsoft.Diagnostics.Tracing.TraceEvent.Samples
* Microsoft.Diagnostics.Tracing.TraceEvent.SupportFiles
* Microsoft.Dnx.Compilation
* Microsoft.Dnx.Compilation.Abstractions
* Microsoft.Dnx.Compilation.CSharp
* Microsoft.Dnx.Compilation.CSharp.Abstractions
* Microsoft.Dnx.Compilation.CSharp.Common
* Microsoft.Dnx.DesignTimeHost.Abstractions
* Microsoft.Dnx.Loader
* Microsoft.Dnx.Runtime
* Microsoft.Dnx.Runtime.Abstractions
* Microsoft.Dnx.TestHost
* Microsoft.Dnx.Testing.Abstractions
* Microsoft.Dnx.Watcher
* Microsoft.Dnx.Watcher.Core
* Microsoft.DotNet.Analyzers.Compatibility
* Microsoft.DotNet.BuildTools.GenAPI
* Microsoft.DotNet.Cli.Utils
* Microsoft.DotNet.Common.ItemTemplates
* Microsoft.DotNet.Common.ProjectTemplates.1.x
* Microsoft.DotNet.Common.ProjectTemplates.2.0
* Microsoft.DotNet.Common.ProjectTemplates.2.1
* Microsoft.DotNet.Common.ProjectTemplates.2.2
* Microsoft.DotNet.Common.ProjectTemplates.3.0
* Microsoft.DotNet.Common.ProjectTemplates.3.1
* Microsoft.DotNet.Common.ProjectTemplates.5.0
* Microsoft.DotNet.Common.ProjectTemplates.6.0
* Microsoft.DotNet.Compiler.Common
* Microsoft.DotNet.DependencyManager
* Microsoft.DotNet.Files
* Microsoft.DotNet.Framework.NativeImageCompiler
* Microsoft.DotNet.FrameworkCompatibilityDiagnostics
* Microsoft.DotNet.Interactive
* Microsoft.DotNet.Interactive.AspNetCore
* Microsoft.DotNet.Interactive.CSharp
* Microsoft.DotNet.Interactive.ExtensionLab
* Microsoft.DotNet.Interactive.Formatting
* Microsoft.DotNet.Interactive.FSharp
* Microsoft.DotNet.Interactive.FSharp.Internal
* Microsoft.DotNet.Interactive.Http
* Microsoft.DotNet.Interactive.PowerShell
* Microsoft.DotNet.Interactive.SqlServer
* Microsoft.DotNet.InternalAbstractions
* Microsoft.DotNet.Mage
* Microsoft.DotNet.PlatformAbstractions
* Microsoft.DotNet.ProjectModel
* Microsoft.DotNet.ProjectModel.Loader
* Microsoft.DotNet.ProjectModel.Workspaces
* Microsoft.DotNet.Try.ProjectTemplate.Tutorial
* Microsoft.DotNet.UpgradeAssistant.Abstractions
* Microsoft.DotNet.UpgradeAssistant.Extensions
* Microsoft.DotNet.UpgradeAssistant.Extensions.Default.Analyzers
* Microsoft.DotNet.Watcher.Tools
* Microsoft.DotNet.Web.Client.ItemTemplates
* Microsoft.DotNet.Web.ItemTemplates
* Microsoft.DotNet.Web.ProjectTemplates.2.1
* Microsoft.DotNet.Web.ProjectTemplates.2.2
* Microsoft.DotNet.Web.ProjectTemplates.3.0
* Microsoft.DotNet.Web.ProjectTemplates.3.1
* Microsoft.DotNet.Web.ProjectTemplates.5.0
* Microsoft.DotNet.Web.ProjectTemplates.6.0
* Microsoft.DotNet.Web.Spa.ProjectTemplates
* Microsoft.DotNet.Web.Spa.ProjectTemplates.2.1
* Microsoft.DotNet.Web.Spa.ProjectTemplates.2.2
* Microsoft.DotNet.Web.Spa.ProjectTemplates.3.0
* Microsoft.DotNet.Web.Spa.ProjectTemplates.3.1
* Microsoft.DotNet.Web.Spa.ProjectTemplates.5.0
* Microsoft.DotNet.Web.Spa.ProjectTemplates.6.0
* Microsoft.Dotnet.WinForms.ProjectTemplates
* Microsoft.Dotnet.Wpf.ProjectTemplates
* Microsoft.EntityFrameworkCore
* Microsoft.EntityFrameworkCore.Abstractions
* Microsoft.EntityFrameworkCore.Analyzers
* Microsoft.EntityFrameworkCore.AspNet.Specification.Tests
* Microsoft.EntityFrameworkCore.Cosmos
* Microsoft.EntityFrameworkCore.Design
* Microsoft.EntityFrameworkCore.InMemory
* Microsoft.EntityFrameworkCore.Proxies
* Microsoft.EntityFrameworkCore.Relational
* Microsoft.EntityFrameworkCore.Relational.Design
* Microsoft.EntityFrameworkCore.Relational.Design.Specification.Tests
* Microsoft.EntityFrameworkCore.Relational.Specification.Tests
* Microsoft.EntityFrameworkCore.Specification.Tests
* Microsoft.EntityFrameworkCore.Sqlite
* Microsoft.EntityFrameworkCore.Sqlite.Core
* Microsoft.EntityFrameworkCore.Sqlite.Design
* Microsoft.EntityFrameworkCore.Sqlite.NetTopologySuite
* Microsoft.EntityFrameworkCore.SqlServer
* Microsoft.EntityFrameworkCore.SqlServer.Design
* Microsoft.EntityFrameworkCore.SqlServer.NetTopologySuite
* Microsoft.EntityFrameworkCore.Tools
* Microsoft.EntityFrameworkCore.Tools.DotNet
* Microsoft.Experimental.Collections
* Microsoft.Extensions.ApiDescription.Client
* Microsoft.Extensions.ApiDescription.Design
* Microsoft.Extensions.ApiDescription.Server
* Microsoft.Extensions.Caching.Abstractions
* Microsoft.Extensions.Caching.Memory
* Microsoft.Extensions.Caching.Redis
* Microsoft.Extensions.Caching.SqlConfig
* Microsoft.Extensions.Caching.SqlConfig.Tools
* Microsoft.Extensions.Caching.SqlServer
* Microsoft.Extensions.Caching.StackExchangeRedis
* Microsoft.Extensions.CodeGeneration
* Microsoft.Extensions.CodeGeneration.Core
* Microsoft.Extensions.CodeGeneration.EntityFramework
* Microsoft.Extensions.CodeGeneration.Templating
* Microsoft.Extensions.CodeGenerators.Mvc
* Microsoft.Extensions.CommandLineUtils
* Microsoft.Extensions.Configuration
* Microsoft.Extensions.Configuration.Abstractions
* Microsoft.Extensions.Configuration.AzureKeyVault
* Microsoft.Extensions.Configuration.Binder
* Microsoft.Extensions.Configuration.CommandLine
* Microsoft.Extensions.Configuration.EnvironmentVariables
* Microsoft.Extensions.Configuration.FileExtensions
* Microsoft.Extensions.Configuration.FileProviderExtensions
* Microsoft.Extensions.Configuration.Ini
* Microsoft.Extensions.Configuration.Json
* Microsoft.Extensions.Configuration.KeyPerFile
* Microsoft.Extensions.Configuration.NewtonsoftJson
* Microsoft.Extensions.Configuration.UserSecrets
* Microsoft.Extensions.Configuration.Xml
* Microsoft.Extensions.DependencyInjection
* Microsoft.Extensions.DependencyInjection.Abstractions
* Microsoft.Extensions.DependencyInjection.Specification.Tests
* Microsoft.Extensions.DependencyModel
* Microsoft.Extensions.DiagnosticAdapter
* Microsoft.Extensions.Diagnostics.HealthChecks
* Microsoft.Extensions.Diagnostics.HealthChecks.Abstractions
* Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore
* Microsoft.Extensions.FileProviders.Abstractions
* Microsoft.Extensions.FileProviders.Composite
* Microsoft.Extensions.FileProviders.Embedded
* Microsoft.Extensions.FileProviders.Physical
* Microsoft.Extensions.FileSystemGlobbing
* Microsoft.Extensions.Globalization.CultureInfoCache
* Microsoft.Extensions.Hosting
* Microsoft.Extensions.Hosting.Abstractions
* Microsoft.Extensions.Hosting.Systemd
* Microsoft.Extensions.Hosting.WindowsServices
* Microsoft.Extensions.Http
* Microsoft.Extensions.Http.Polly
* Microsoft.Extensions.Identity.Core
* Microsoft.Extensions.Identity.Stores
* Microsoft.Extensions.Internal.Transport
* Microsoft.Extensions.Localization
* Microsoft.Extensions.Localization.Abstractions
* Microsoft.Extensions.Logging
* Microsoft.Extensions.Logging.Abstractions
* Microsoft.Extensions.Logging.AzureAppServices
* Microsoft.Extensions.Logging.Configuration
* Microsoft.Extensions.Logging.Console
* Microsoft.Extensions.Logging.Debug
* Microsoft.Extensions.Logging.EventLog
* Microsoft.Extensions.Logging.EventSource
* Microsoft.Extensions.Logging.Filter
* Microsoft.Extensions.Logging.TraceSource
* Microsoft.Extensions.MemoryPool
* Microsoft.Extensions.ML
* Microsoft.Extensions.ObjectPool
* Microsoft.Extensions.Options
* Microsoft.Extensions.Options.ConfigurationExtensions
* Microsoft.Extensions.Options.DataAnnotations
* Microsoft.Extensions.OptionsModel
* Microsoft.Extensions.PlatformAbstractions
* Microsoft.Extensions.Primitives
* Microsoft.Extensions.SecretManager
* Microsoft.Extensions.SecretManager.Tools
* Microsoft.Extensions.Testing.Abstractions
* Microsoft.Extensions.WebEncoders
* Microsoft.Extensions.WebEncoders.Core
* Microsoft.ILVerification
* Microsoft.IO.Redist
* Microsoft.jQuery.Unobtrusive.Ajax
* Microsoft.jQuery.Unobtrusive.Validation
* Microsoft.JSInterop
* Microsoft.JSInterop.WebAssembly
* Microsoft.ML
* Microsoft.ML.CpuMath
* Microsoft.ML.DataView
* Microsoft.ML.DnnImageFeaturizer.AlexNet
* Microsoft.ML.DnnImageFeaturizer.ResNet101
* Microsoft.ML.DnnImageFeaturizer.ResNet18
* Microsoft.ML.DnnImageFeaturizer.ResNet50
* Microsoft.ML.Ensemble
* Microsoft.ML.Experimental
* Microsoft.ML.FastTree
* Microsoft.ML.ImageAnalytics
* Microsoft.ML.LightGbm
* Microsoft.ML.Mkl.Components
* Microsoft.ML.Mkl.Redist
* Microsoft.ML.OnnxConverter
* Microsoft.ML.OnnxRuntime
* Microsoft.ML.OnnxRuntime.Gpu
* Microsoft.ML.OnnxTransformer
* Microsoft.ML.Probabilistic
* Microsoft.ML.Probabilistic.Compiler
* Microsoft.ML.Probabilistic.Learners
* Microsoft.ML.Probabilistic.Visualizers.Windows
* Microsoft.ML.Recommender
* Microsoft.ML.SampleUtils
* Microsoft.ML.StaticPipe
* Microsoft.ML.TensorFlow
* Microsoft.ML.TensorFlow.Redist
* Microsoft.ML.TimeSeries
* Microsoft.NET.Build.Bundle
* Microsoft.NET.Build.Extensions
* Microsoft.NET.HostModel
* Microsoft.Net.Http
* Microsoft.Net.Http.cs
* Microsoft.Net.Http.de
* Microsoft.Net.Http.es
* Microsoft.Net.Http.fr
* Microsoft.Net.Http.Headers
* Microsoft.Net.Http.it
* Microsoft.Net.Http.ja
* Microsoft.Net.Http.ko
* Microsoft.Net.Http.pl
* Microsoft.Net.Http.pt-br
* Microsoft.Net.Http.ru
* Microsoft.Net.Http.Server
* Microsoft.Net.Http.tr
* Microsoft.Net.Http.zh-Hans
* Microsoft.Net.Http.zh-Hant
* Microsoft.Net.Native.Compiler
* Microsoft.Net.Native.SharedLibrary-arm
* Microsoft.Net.Native.SharedLibrary-x64
* Microsoft.Net.Native.SharedLibrary-x86
* Microsoft.NET.Runtime.Android.Sample.Mono
* Microsoft.NET.Runtime.iOS.Sample.Mono
* Microsoft.NET.Runtime.MonoAOTCompiler.Task
* Microsoft.NET.Runtime.wasm.Sample.Mono
* Microsoft.NET.Runtime.WebAssembly.Sdk
* Microsoft.NET.Sdk.BlazorWebAssembly.AOT
* Microsoft.NET.Sdk.IL
* Microsoft.NET.Sdk.Razor
* Microsoft.NET.Tools.NETCoreCheck.x64
* Microsoft.NET.Tools.NETCoreCheck.x86
* Microsoft.Net.UWPCoreRuntimeSdk
* Microsoft.Net.WebSocketAbstractions
* Microsoft.Net.WebSockets
* Microsoft.Net.WebSockets.Server
* Microsoft.NETCore.App.Crossgen2.linux-musl-x64
* Microsoft.NETCore.App.Crossgen2.linux-x64
* Microsoft.NETCore.App.Crossgen2.osx-arm64
* Microsoft.NETCore.App.Crossgen2.osx-x64
* Microsoft.NETCore.App.Crossgen2.win-x64
* Microsoft.NETCore.App.Host.linux-arm
* Microsoft.NETCore.App.Host.linux-arm64
* Microsoft.NETCore.App.Host.linux-musl-arm
* Microsoft.NETCore.App.Host.linux-musl-arm64
* Microsoft.NETCore.App.Host.linux-musl-x64
* Microsoft.NETCore.App.Host.linux-x64
* Microsoft.NETCore.App.Host.osx-arm64
* Microsoft.NETCore.App.Host.osx-x64
* Microsoft.NETCore.App.Host.rhel.6-x64
* Microsoft.NETCore.App.Host.win-arm
* Microsoft.NETCore.App.Host.win-arm64
* Microsoft.NETCore.App.Host.win-x64
* Microsoft.NETCore.App.Host.win-x86
* Microsoft.NETCore.App.Ref
* Microsoft.NETCore.App.Runtime.android-arm
* Microsoft.NETCore.App.Runtime.android-arm64
* Microsoft.NETCore.App.Runtime.android-x64
* Microsoft.NETCore.App.Runtime.android-x86
* Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm
* Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm64
* Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x64
* Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x86
* Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.browser-wasm
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm64
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x64
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x86
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.browser-wasm
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm64
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-x64
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-x86
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvos-arm64
* Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvos-x64
* Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64
* Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm
* Microsoft.NETCore.App.Runtime.browser-wasm
* Microsoft.NETCore.App.Runtime.ios-arm
* Microsoft.NETCore.App.Runtime.ios-arm64
* Microsoft.NETCore.App.Runtime.ios-x64
* Microsoft.NETCore.App.Runtime.ios-x86
* Microsoft.NETCore.App.Runtime.linux-arm
* Microsoft.NETCore.App.Runtime.linux-arm64
* Microsoft.NETCore.App.Runtime.linux-musl-arm
* Microsoft.NETCore.App.Runtime.linux-musl-arm64
* Microsoft.NETCore.App.Runtime.linux-musl-x64
* Microsoft.NETCore.App.Runtime.linux-x64
* Microsoft.NETCore.App.Runtime.maccatalyst-arm64
* Microsoft.NETCore.App.Runtime.maccatalyst-x64
* Microsoft.NETCore.App.Runtime.Mono.linux-arm
* Microsoft.NETCore.App.Runtime.Mono.linux-arm64
* Microsoft.NETCore.App.Runtime.Mono.linux-musl-x64
* Microsoft.NETCore.App.Runtime.Mono.linux-x64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-arm64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-x64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.osx-x64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-arm64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-x64
* Microsoft.NETCore.App.Runtime.Mono.LLVM.osx-x64
* Microsoft.NETCore.App.Runtime.Mono.osx-x64
* Microsoft.NETCore.App.Runtime.Mono.win-x64
* Microsoft.NETCore.App.Runtime.Mono.win-x86
* Microsoft.NETCore.App.Runtime.osx-arm64
* Microsoft.NETCore.App.Runtime.osx-x64
* Microsoft.NETCore.App.Runtime.rhel.6-x64
* Microsoft.NETCore.App.Runtime.tvos-arm64
* Microsoft.NETCore.App.Runtime.tvos-x64
* Microsoft.NETCore.App.Runtime.win-arm
* Microsoft.NETCore.App.Runtime.win-arm64
* Microsoft.NETCore.App.Runtime.win-x64
* Microsoft.NETCore.App.Runtime.win-x86
* Microsoft.NETCore.Compilers
* Microsoft.NETCore.DotNetAppHost
* Microsoft.NETCore.DotNetHost
* Microsoft.NETCore.DotNetHostPolicy
* Microsoft.NETCore.DotNetHostResolver
* Microsoft.NETCore.ILAsm
* Microsoft.NETCore.ILDAsm
* Microsoft.NETCore.Jit
* Microsoft.NETCore.Native
* Microsoft.NETCore.Platforms
* Microsoft.NETCore.Platforms.Future
* Microsoft.NETCore.Portable.Compatibility
* Microsoft.NETCore.Runtime
* Microsoft.NETCore.Runtime.CoreCLR
* Microsoft.NETCore.Runtime.CoreCLR-arm
* Microsoft.NETCore.Runtime.CoreCLR-x64
* Microsoft.NETCore.Runtime.CoreCLR-x86
* Microsoft.NETCore.Runtime.Mono
* Microsoft.NETCore.Runtime.Native
* Microsoft.NETCore.Targets
* Microsoft.NETCore.Targets.DNXCore
* Microsoft.NETCore.Targets.NETFramework
* Microsoft.NETCore.Targets.UniversalWindowsPlatform
* Microsoft.NETCore.TestHost
* Microsoft.NETCore.TestHost-arm
* Microsoft.NETCore.TestHost-x64
* Microsoft.NETCore.TestHost-x86
* Microsoft.NETCore.UniversalWindowsPlatform
* Microsoft.NETCore.Windows.ApiSets
* Microsoft.NETCore.Windows.ApiSets-x64
* Microsoft.NETCore.Windows.ApiSets-x86
* Microsoft.NETFramework.Compatibility
* Microsoft.NETFramework.ReferenceAssemblies
* Microsoft.NETFramework.ReferenceAssemblies.net20
* Microsoft.NETFramework.ReferenceAssemblies.net40
* Microsoft.NETFramework.ReferenceAssemblies.net45
* Microsoft.NETFramework.ReferenceAssemblies.net451
* Microsoft.NETFramework.ReferenceAssemblies.net452
* Microsoft.NETFramework.ReferenceAssemblies.net46
* Microsoft.NETFramework.ReferenceAssemblies.net461
* Microsoft.NETFramework.ReferenceAssemblies.net462
* Microsoft.NETFramework.ReferenceAssemblies.net47
* Microsoft.NETFramework.ReferenceAssemblies.net471
* Microsoft.NETFramework.ReferenceAssemblies.net472
* Microsoft.NETFramework.ReferenceAssemblies.net48
* Microsoft.Owin
* Microsoft.Owin.Cors
* Microsoft.Owin.cs
* Microsoft.Owin.de
* Microsoft.Owin.Diagnostics
* Microsoft.Owin.Diagnostics.cs
* Microsoft.Owin.Diagnostics.de
* Microsoft.Owin.Diagnostics.es
* Microsoft.Owin.Diagnostics.fr
* Microsoft.Owin.Diagnostics.it
* Microsoft.Owin.Diagnostics.ja
* Microsoft.Owin.Diagnostics.ko
* Microsoft.Owin.Diagnostics.pl
* Microsoft.Owin.Diagnostics.pt-br
* Microsoft.Owin.Diagnostics.ru
* Microsoft.Owin.Diagnostics.tr
* Microsoft.Owin.Diagnostics.zh-Hans
* Microsoft.Owin.Diagnostics.zh-Hant
* Microsoft.Owin.es
* Microsoft.Owin.FileSystems
* Microsoft.Owin.fr
* Microsoft.Owin.Host.HttpListener
* Microsoft.Owin.Host.HttpListener.cs
* Microsoft.Owin.Host.HttpListener.de
* Microsoft.Owin.Host.HttpListener.es
* Microsoft.Owin.Host.HttpListener.fr
* Microsoft.Owin.Host.HttpListener.it
* Microsoft.Owin.Host.HttpListener.ja
* Microsoft.Owin.Host.HttpListener.ko
* Microsoft.Owin.Host.HttpListener.pl
* Microsoft.Owin.Host.HttpListener.pt-br
* Microsoft.Owin.Host.HttpListener.ru
* Microsoft.Owin.Host.HttpListener.tr
* Microsoft.Owin.Host.HttpListener.zh-Hans
* Microsoft.Owin.Host.HttpListener.zh-Hant
* Microsoft.Owin.Host.IIS
* Microsoft.Owin.Host.SystemWeb
* Microsoft.Owin.Host.SystemWeb.cs
* Microsoft.Owin.Host.SystemWeb.de
* Microsoft.Owin.Host.SystemWeb.es
* Microsoft.Owin.Host.SystemWeb.fr
* Microsoft.Owin.Host.SystemWeb.it
* Microsoft.Owin.Host.SystemWeb.ja
* Microsoft.Owin.Host.SystemWeb.ko
* Microsoft.Owin.Host.SystemWeb.pl
* Microsoft.Owin.Host.SystemWeb.pt-br
* Microsoft.Owin.Host.SystemWeb.ru
* Microsoft.Owin.Host.SystemWeb.tr
* Microsoft.Owin.Host.SystemWeb.zh-Hans
* Microsoft.Owin.Host.SystemWeb.zh-Hant
* Microsoft.Owin.Hosting
* Microsoft.Owin.Hosting.cs
* Microsoft.Owin.Hosting.de
* Microsoft.Owin.Hosting.es
* Microsoft.Owin.Hosting.fr
* Microsoft.Owin.Hosting.it
* Microsoft.Owin.Hosting.ja
* Microsoft.Owin.Hosting.ko
* Microsoft.Owin.Hosting.pl
* Microsoft.Owin.Hosting.pt-br
* Microsoft.Owin.Hosting.ru
* Microsoft.Owin.Hosting.tr
* Microsoft.Owin.Hosting.zh-Hans
* Microsoft.Owin.Hosting.zh-Hant
* Microsoft.Owin.it
* Microsoft.Owin.ja
* Microsoft.Owin.ko
* Microsoft.Owin.pl
* Microsoft.Owin.pt-br
* Microsoft.Owin.ru
* Microsoft.Owin.Security
* Microsoft.Owin.Security.ActiveDirectory
* Microsoft.Owin.Security.ActiveDirectory.cs
* Microsoft.Owin.Security.ActiveDirectory.de
* Microsoft.Owin.Security.ActiveDirectory.es
* Microsoft.Owin.Security.ActiveDirectory.fr
* Microsoft.Owin.Security.ActiveDirectory.it
* Microsoft.Owin.Security.ActiveDirectory.ja
* Microsoft.Owin.Security.ActiveDirectory.ko
* Microsoft.Owin.Security.ActiveDirectory.pl
* Microsoft.Owin.Security.ActiveDirectory.pt-br
* Microsoft.Owin.Security.ActiveDirectory.ru
* Microsoft.Owin.Security.ActiveDirectory.tr
* Microsoft.Owin.Security.ActiveDirectory.zh-Hans
* Microsoft.Owin.Security.ActiveDirectory.zh-Hant
* Microsoft.Owin.Security.Cookies
* Microsoft.Owin.Security.Cookies.Interop
* Microsoft.Owin.Security.cs
* Microsoft.Owin.Security.de
* Microsoft.Owin.Security.es
* Microsoft.Owin.Security.Facebook
* Microsoft.Owin.Security.Facebook.cs
* Microsoft.Owin.Security.Facebook.de
* Microsoft.Owin.Security.Facebook.es
* Microsoft.Owin.Security.Facebook.fr
* Microsoft.Owin.Security.Facebook.it
* Microsoft.Owin.Security.Facebook.ja
* Microsoft.Owin.Security.Facebook.ko
* Microsoft.Owin.Security.Facebook.pl
* Microsoft.Owin.Security.Facebook.pt-br
* Microsoft.Owin.Security.Facebook.ru
* Microsoft.Owin.Security.Facebook.tr
* Microsoft.Owin.Security.Facebook.zh-Hans
* Microsoft.Owin.Security.Facebook.zh-Hant
* Microsoft.Owin.Security.fr
* Microsoft.Owin.Security.Google
* Microsoft.Owin.Security.Google.cs
* Microsoft.Owin.Security.Google.de
* Microsoft.Owin.Security.Google.es
* Microsoft.Owin.Security.Google.fr
* Microsoft.Owin.Security.Google.it
* Microsoft.Owin.Security.Google.ja
* Microsoft.Owin.Security.Google.ko
* Microsoft.Owin.Security.Google.pl
* Microsoft.Owin.Security.Google.pt-br
* Microsoft.Owin.Security.Google.ru
* Microsoft.Owin.Security.Google.tr
* Microsoft.Owin.Security.Google.zh-Hans
* Microsoft.Owin.Security.Google.zh-Hant
* Microsoft.Owin.Security.Interop
* Microsoft.Owin.Security.it
* Microsoft.Owin.Security.ja
* Microsoft.Owin.Security.Jwt
* Microsoft.Owin.Security.Jwt.cs
* Microsoft.Owin.Security.Jwt.de
* Microsoft.Owin.Security.Jwt.es
* Microsoft.Owin.Security.Jwt.fr
* Microsoft.Owin.Security.Jwt.it
* Microsoft.Owin.Security.Jwt.ja
* Microsoft.Owin.Security.Jwt.ko
* Microsoft.Owin.Security.Jwt.pl
* Microsoft.Owin.Security.Jwt.pt-br
* Microsoft.Owin.Security.Jwt.ru
* Microsoft.Owin.Security.Jwt.tr
* Microsoft.Owin.Security.Jwt.zh-Hans
* Microsoft.Owin.Security.Jwt.zh-Hant
* Microsoft.Owin.Security.ko
* Microsoft.Owin.Security.MicrosoftAccount
* Microsoft.Owin.Security.MicrosoftAccount.cs
* Microsoft.Owin.Security.MicrosoftAccount.de
* Microsoft.Owin.Security.MicrosoftAccount.es
* Microsoft.Owin.Security.MicrosoftAccount.fr
* Microsoft.Owin.Security.MicrosoftAccount.it
* Microsoft.Owin.Security.MicrosoftAccount.ja
* Microsoft.Owin.Security.MicrosoftAccount.ko
* Microsoft.Owin.Security.MicrosoftAccount.pl
* Microsoft.Owin.Security.MicrosoftAccount.pt-br
* Microsoft.Owin.Security.MicrosoftAccount.ru
* Microsoft.Owin.Security.MicrosoftAccount.tr
* Microsoft.Owin.Security.MicrosoftAccount.zh-Hans
* Microsoft.Owin.Security.MicrosoftAccount.zh-Hant
* Microsoft.Owin.Security.OAuth
* Microsoft.Owin.Security.OpenIdConnect
* Microsoft.Owin.Security.pl
* Microsoft.Owin.Security.pt-br
* Microsoft.Owin.Security.ru
* Microsoft.Owin.Security.tr
* Microsoft.Owin.Security.Twitter
* Microsoft.Owin.Security.Twitter.cs
* Microsoft.Owin.Security.Twitter.de
* Microsoft.Owin.Security.Twitter.es
* Microsoft.Owin.Security.Twitter.fr
* Microsoft.Owin.Security.Twitter.it
* Microsoft.Owin.Security.Twitter.ja
* Microsoft.Owin.Security.Twitter.ko
* Microsoft.Owin.Security.Twitter.pl
* Microsoft.Owin.Security.Twitter.pt-br
* Microsoft.Owin.Security.Twitter.ru
* Microsoft.Owin.Security.Twitter.tr
* Microsoft.Owin.Security.Twitter.zh-Hans
* Microsoft.Owin.Security.Twitter.zh-Hant
* Microsoft.Owin.Security.WindowsAzure
* Microsoft.Owin.Security.WindowsAzure.cs
* Microsoft.Owin.Security.WindowsAzure.de
* Microsoft.Owin.Security.WindowsAzure.es
* Microsoft.Owin.Security.WindowsAzure.fr
* Microsoft.Owin.Security.WindowsAzure.it
* Microsoft.Owin.Security.WindowsAzure.ja
* Microsoft.Owin.Security.WindowsAzure.ko
* Microsoft.Owin.Security.WindowsAzure.pl
* Microsoft.Owin.Security.WindowsAzure.pt-br
* Microsoft.Owin.Security.WindowsAzure.ru
* Microsoft.Owin.Security.WindowsAzure.tr
* Microsoft.Owin.Security.WindowsAzure.zh-Hans
* Microsoft.Owin.Security.WindowsAzure.zh-Hant
* Microsoft.Owin.Security.WsFederation
* Microsoft.Owin.Security.zh-Hans
* Microsoft.Owin.Security.zh-Hant
* Microsoft.Owin.SelfHost
* Microsoft.Owin.StaticFiles
* Microsoft.Owin.StaticFiles.cs
* Microsoft.Owin.StaticFiles.de
* Microsoft.Owin.StaticFiles.es
* Microsoft.Owin.StaticFiles.fr
* Microsoft.Owin.StaticFiles.it
* Microsoft.Owin.StaticFiles.ja
* Microsoft.Owin.StaticFiles.ko
* Microsoft.Owin.StaticFiles.pl
* Microsoft.Owin.StaticFiles.pt-br
* Microsoft.Owin.StaticFiles.ru
* Microsoft.Owin.StaticFiles.tr
* Microsoft.Owin.StaticFiles.zh-Hans
* Microsoft.Owin.StaticFiles.zh-Hant
* Microsoft.Owin.Testing
* Microsoft.Owin.tr
* Microsoft.Owin.zh-Hans
* Microsoft.Owin.zh-Hant
* Microsoft.Packaging.Tools
* Microsoft.Packaging.Tools.Trimming
* Microsoft.Private.CoreFx.UAP
* Microsoft.Private.Intellisense
* Microsoft.Private.PackageBaseline
* Microsoft.ReverseProxy
* Microsoft.ReverseProxy.ServiceFabric
* Microsoft.ReverseProxy.Telemetry.Consumption
* Microsoft.ScriptManager.jQuery
* Microsoft.ScriptManager.jQuery.UI.Combined
* Microsoft.ScriptManager.MSAjax
* Microsoft.ScriptManager.WebForms
* Microsoft.Spark
* Microsoft.SqlServer.Compact
* Microsoft.SqlToolsService
* Microsoft.SyndicationFeed.ReaderWriter
* Microsoft.TargetingPack.Private.CoreCLR
* Microsoft.TemplateEngine.Abstractions
* Microsoft.TemplateEngine.Cli
* Microsoft.TemplateEngine.Core
* Microsoft.TemplateEngine.Core.Contracts
* Microsoft.TemplateEngine.Edge
* Microsoft.TemplateEngine.IDE
* Microsoft.TemplateEngine.Mocks
* Microsoft.TemplateEngine.Orchestrator.RunnableProjects
* Microsoft.TemplateEngine.Utils
* Microsoft.TemplateSearch.Common
* Microsoft.Tpl.Dataflow
* Microsoft.Tye
* Microsoft.Tye.Extensions.Configuration
* Microsoft.VisualBasic
* Microsoft.VisualStudio.LanguageServices.LiveShare
* Microsoft.VisualStudio.TaskRunnerExplorer.14.0
* Microsoft.VisualStudio.Web.BrowserLink
* Microsoft.VisualStudio.Web.BrowserLink.12.0
* Microsoft.VisualStudio.Web.BrowserLink.Loader
* Microsoft.VisualStudio.Web.CodeGeneration
* Microsoft.VisualStudio.Web.CodeGeneration.Contracts
* Microsoft.VisualStudio.Web.CodeGeneration.Core
* Microsoft.VisualStudio.Web.CodeGeneration.Design
* Microsoft.VisualStudio.Web.CodeGeneration.EntityFrameworkCore
* Microsoft.VisualStudio.Web.CodeGeneration.Templating
* Microsoft.VisualStudio.Web.CodeGeneration.Tools
* Microsoft.VisualStudio.Web.CodeGeneration.Utils
* Microsoft.VisualStudio.Web.CodeGenerators.Mvc
* Microsoft.Web.Deployment
* Microsoft.Web.Infrastructure
* Microsoft.Web.LibraryManager.Build
* Microsoft.Web.LibraryManager.Cli
* Microsoft.Web.WebJobs.Publish
* Microsoft.Web.Xdt
* Microsoft.Win32.Primitives
* Microsoft.Win32.Registry
* Microsoft.Win32.Registry.AccessControl
* Microsoft.Win32.SystemEvents
* Microsoft.Windows.Compatibility
* Microsoft.Windows.Compatibility.Shims
* Microsoft.WindowsAzure.Jobs
* Microsoft.WindowsAzure.Jobs.Host
* Microsoft.WindowsDesktop.App.Ref
* Microsoft.WindowsDesktop.App.Runtime.win-arm64
* Microsoft.WindowsDesktop.App.Runtime.win-x64
* Microsoft.WindowsDesktop.App.Runtime.win-x86
* Microsoft.XmlSerializer.Generator
* MicrosoftAjax
* MicrosoftMvcAjax.Mvc5
* MicrosoftWebMvc
* mlnet
* Mono.WebAssembly.Interop
* Mvc2Futures
* Mvc3Futures
* Mvc4Futures
* MvcDiagnostics
* NETStandard.Library
* NETStandard.Library.NETFramework
* NETStandard.Library.Ref
* Owin
* OwinHost
* PayPal.Helper
* PerfView.SupportFiles
* Photo.Gallery.Template.VB2
* RazorSyntaxGenerator
* runtime.alpine.3.6-x64.Microsoft.NETCore.App
* runtime.alpine.3.6-x64.Microsoft.NETCore.DotNetAppHost
* runtime.alpine.3.6-x64.Microsoft.NETCore.DotNetHost
* runtime.alpine.3.6-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.alpine.3.6-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.any.System.AppContext
* runtime.any.System.Collections
* runtime.any.System.Diagnostics.Tools
* runtime.any.System.Diagnostics.Tracing
* runtime.any.System.Globalization
* runtime.any.System.Globalization.Calendars
* runtime.any.System.IO
* runtime.any.System.Linq.Expressions
* runtime.any.System.Private.DataContractSerialization
* runtime.any.System.Reflection
* runtime.any.System.Reflection.DispatchProxy
* runtime.any.System.Reflection.Extensions
* runtime.any.System.Reflection.Primitives
* runtime.any.System.Resources.ResourceManager
* runtime.any.System.Runtime
* runtime.any.System.Runtime.Handles
* runtime.any.System.Runtime.InteropServices
* runtime.any.System.Text.Encoding
* runtime.any.System.Text.Encoding.Extensions
* runtime.any.System.Threading.Tasks
* runtime.any.System.Threading.Timer
* runtime.any.System.Xml.XmlSerializer
* runtime.aot.System.Collections
* runtime.aot.System.Diagnostics.Tools
* runtime.aot.System.Diagnostics.Tracing
* runtime.aot.System.Globalization
* runtime.aot.System.Globalization.Calendars
* runtime.aot.System.IO
* runtime.aot.System.Linq.Expressions
* runtime.aot.System.Private.DataContractSerialization
* runtime.aot.System.Reflection
* runtime.aot.System.Reflection.DispatchProxy
* runtime.aot.System.Reflection.Extensions
* runtime.aot.System.Reflection.Primitives
* runtime.aot.System.Resources.ResourceManager
* runtime.aot.System.Runtime
* runtime.aot.System.Runtime.Handles
* runtime.aot.System.Runtime.InteropServices
* runtime.aot.System.Text.Encoding
* runtime.aot.System.Text.Encoding.Extensions
* runtime.aot.System.Threading.Tasks
* runtime.aot.System.Threading.Timer
* runtime.aot.System.Xml.XmlSerializer
* runtime.centos.7.1-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.centos.7.1-x64.Microsoft.NETCore.TestHost
* runtime.debian.8-x64.Microsoft.NETCore.DotNetHost
* runtime.debian.8-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.debian.8-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.debian.8-x64.Microsoft.NETCore.ILAsm
* runtime.debian.8-x64.Microsoft.NETCore.ILDAsm
* runtime.debian.8-x64.Microsoft.NETCore.Jit
* runtime.debian.8-x64.Microsoft.NETCore.Native
* runtime.debian.8-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.debian.8-x64.Microsoft.NETCore.TestHost
* runtime.debian.8-x64.runtime.native.System
* runtime.debian.8-x64.runtime.native.System.IO.Compression
* runtime.debian.8-x64.runtime.native.System.Net.Http
* runtime.debian.8-x64.runtime.native.System.Net.Security
* runtime.debian.8-x64.runtime.native.System.Security.Cryptography
* runtime.debian.8-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.debian.9-x64.Microsoft.NETCore.DotNetHost
* runtime.debian.9-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.debian.9-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.debian.9-x64.Microsoft.NETCore.ILAsm
* runtime.debian.9-x64.Microsoft.NETCore.ILDAsm
* runtime.debian.9-x64.Microsoft.NETCore.Jit
* runtime.debian.9-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.debian.9-x64.Microsoft.NETCore.TestHost
* runtime.debian.9-x64.runtime.native.System
* runtime.debian.9-x64.runtime.native.System.IO.Compression
* runtime.debian.9-x64.runtime.native.System.Net.Http
* runtime.debian.9-x64.runtime.native.System.Net.Security
* runtime.debian.9-x64.runtime.native.System.Security.Cryptography
* runtime.debian.9-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.fedora.23-x64.Microsoft.NETCore.DotNetHost
* runtime.fedora.23-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.fedora.23-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.fedora.23-x64.Microsoft.NETCore.ILAsm
* runtime.fedora.23-x64.Microsoft.NETCore.ILDAsm
* runtime.fedora.23-x64.Microsoft.NETCore.Jit
* runtime.fedora.23-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.fedora.23-x64.Microsoft.NETCore.TestHost
* runtime.fedora.23-x64.runtime.native.System
* runtime.fedora.23-x64.runtime.native.System.IO.Compression
* runtime.fedora.23-x64.runtime.native.System.Net.Http
* runtime.fedora.23-x64.runtime.native.System.Net.Security
* runtime.fedora.23-x64.runtime.native.System.Security.Cryptography
* runtime.fedora.23-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.fedora.24-x64.Microsoft.NETCore.DotNetHost
* runtime.fedora.24-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.fedora.24-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.fedora.24-x64.Microsoft.NETCore.ILAsm
* runtime.fedora.24-x64.Microsoft.NETCore.ILDAsm
* runtime.fedora.24-x64.Microsoft.NETCore.Jit
* runtime.fedora.24-x64.Microsoft.NETCore.Native
* runtime.fedora.24-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.fedora.24-x64.Microsoft.NETCore.TestHost
* runtime.fedora.24-x64.runtime.native.System
* runtime.fedora.24-x64.runtime.native.System.IO.Compression
* runtime.fedora.24-x64.runtime.native.System.Net.Http
* runtime.fedora.24-x64.runtime.native.System.Net.Security
* runtime.fedora.24-x64.runtime.native.System.Security.Cryptography
* runtime.fedora.24-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.fedora.27-x64.Microsoft.NETCore.DotNetHost
* runtime.fedora.27-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.fedora.27-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.fedora.27-x64.Microsoft.NETCore.ILAsm
* runtime.fedora.27-x64.Microsoft.NETCore.ILDAsm
* runtime.fedora.27-x64.Microsoft.NETCore.Jit
* runtime.fedora.27-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.fedora.27-x64.Microsoft.NETCore.TestHost
* runtime.fedora.27-x64.runtime.native.System
* runtime.fedora.27-x64.runtime.native.System.IO.Compression
* runtime.fedora.27-x64.runtime.native.System.Net.Http
* runtime.fedora.27-x64.runtime.native.System.Net.Security
* runtime.fedora.27-x64.runtime.native.System.Security.Cryptography
* runtime.fedora.27-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.fedora.28-x64.Microsoft.NETCore.DotNetHost
* runtime.fedora.28-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.fedora.28-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.fedora.28-x64.Microsoft.NETCore.ILAsm
* runtime.fedora.28-x64.Microsoft.NETCore.ILDAsm
* runtime.fedora.28-x64.Microsoft.NETCore.Jit
* runtime.fedora.28-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.fedora.28-x64.Microsoft.NETCore.TestHost
* runtime.fedora.28-x64.runtime.native.System
* runtime.fedora.28-x64.runtime.native.System.IO.Compression
* runtime.fedora.28-x64.runtime.native.System.Net.Http
* runtime.fedora.28-x64.runtime.native.System.Net.Security
* runtime.fedora.28-x64.runtime.native.System.Security.Cryptography
* runtime.fedora.28-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.freebsd-x64.Microsoft.NETCore.DotNetAppHost
* runtime.freebsd-x64.Microsoft.NETCore.DotNetHost
* runtime.freebsd-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.freebsd-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.ios.7-arm64.Microsoft.NETCore.Runtime.Mono
* runtime.ios.7-arm64.Microsoft.NETCore.Tool.MonoAOT
* runtime.ios.8-x64.Microsoft.NETCore.Runtime.Mono
* runtime.linux-arm.Microsoft.NETCore.App
* runtime.linux-arm.Microsoft.NETCore.DotNetAppHost
* runtime.linux-arm.Microsoft.NETCore.DotNetHost
* runtime.linux-arm.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-arm.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-arm.Microsoft.NETCore.ILAsm
* runtime.linux-arm.Microsoft.NETCore.ILDAsm
* runtime.linux-arm.Microsoft.NETCore.Jit
* runtime.linux-arm.Microsoft.NETCore.Native
* runtime.linux-arm.Microsoft.NETCore.Runtime.CoreCLR
* runtime.linux-arm.Microsoft.NETCore.Runtime.Mono
* runtime.linux-arm.Microsoft.NETCore.TestHost
* runtime.linux-arm.runtime.native.System.IO.Ports
* runtime.linux-arm64.Microsoft.NETCore.App
* runtime.linux-arm64.Microsoft.NETCore.DotNetAppHost
* runtime.linux-arm64.Microsoft.NETCore.DotNetHost
* runtime.linux-arm64.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-arm64.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-arm64.Microsoft.NETCore.ILAsm
* runtime.linux-arm64.Microsoft.NETCore.ILDAsm
* runtime.linux-arm64.Microsoft.NETCore.Runtime.Mono
* runtime.linux-arm64.Microsoft.NETCore.TestHost
* runtime.linux-arm64.runtime.native.System.IO.Ports
* runtime.linux-musl-arm.Microsoft.NETCore.DotNetAppHost
* runtime.linux-musl-arm.Microsoft.NETCore.DotNetHost
* runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-musl-arm.Microsoft.NETCore.ILAsm
* runtime.linux-musl-arm.Microsoft.NETCore.ILDAsm
* runtime.linux-musl-arm.Microsoft.NETCore.TestHost
* runtime.linux-musl-arm64.Microsoft.NETCore.DotNetAppHost
* runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHost
* runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-musl-arm64.Microsoft.NETCore.ILAsm
* runtime.linux-musl-arm64.Microsoft.NETCore.ILDAsm
* runtime.linux-musl-arm64.Microsoft.NETCore.TestHost
* runtime.linux-musl-x64.Microsoft.NETCore.App
* runtime.linux-musl-x64.Microsoft.NETCore.DotNetAppHost
* runtime.linux-musl-x64.Microsoft.NETCore.DotNetHost
* runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-musl-x64.Microsoft.NETCore.ILAsm
* runtime.linux-musl-x64.Microsoft.NETCore.ILDAsm
* runtime.linux-musl-x64.Microsoft.NETCore.Runtime.Mono
* runtime.linux-musl-x64.Microsoft.NETCore.TestHost
* runtime.linux-x64.Microsoft.NETCore.App
* runtime.linux-x64.Microsoft.NETCore.DotNetAppHost
* runtime.linux-x64.Microsoft.NETCore.DotNetHost
* runtime.linux-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.linux-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.linux-x64.Microsoft.NETCore.ILAsm
* runtime.linux-x64.Microsoft.NETCore.ILDAsm
* runtime.linux-x64.Microsoft.NETCore.Jit
* runtime.linux-x64.Microsoft.NETCore.Native
* runtime.linux-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.linux-x64.Microsoft.NETCore.Runtime.Mono
* runtime.linux-x64.Microsoft.NETCore.TestHost
* runtime.linux-x64.runtime.native.System.IO.Ports
* runtime.linux.System.Diagnostics.Process
* runtime.linux.System.IO.FileSystem
* runtime.linux.System.IO.FileSystem.DriveInfo
* runtime.linux.System.IO.FileSystem.Watcher
* runtime.linux.System.IO.MemoryMappedFiles
* runtime.linux.System.Net.Http
* runtime.linux.System.Net.NameResolution
* runtime.linux.System.Net.NetworkInformation
* runtime.linux.System.Net.Sockets
* runtime.linux.System.Runtime.Extensions
* runtime.linux.System.Runtime.InteropServices.RuntimeInformation
* runtime.linux.System.Security.Cryptography.Algorithms
* runtime.native.System
* runtime.native.System.Data.SqlClient.sni
* runtime.native.System.IO.Compression
* runtime.native.System.IO.Ports
* runtime.native.System.Net.Http
* runtime.native.System.Net.Security
* runtime.native.System.Security.Cryptography
* runtime.native.System.Security.Cryptography.Apple
* runtime.native.System.Security.Cryptography.OpenSsl
* runtime.opensuse.13.2-x64.Microsoft.NETCore.DotNetHost
* runtime.opensuse.13.2-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.opensuse.13.2-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.opensuse.13.2-x64.Microsoft.NETCore.ILAsm
* runtime.opensuse.13.2-x64.Microsoft.NETCore.ILDAsm
* runtime.opensuse.13.2-x64.Microsoft.NETCore.Jit
* runtime.opensuse.13.2-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.opensuse.13.2-x64.Microsoft.NETCore.TestHost
* runtime.opensuse.13.2-x64.runtime.native.System
* runtime.opensuse.13.2-x64.runtime.native.System.IO.Compression
* runtime.opensuse.13.2-x64.runtime.native.System.Net.Http
* runtime.opensuse.13.2-x64.runtime.native.System.Net.Security
* runtime.opensuse.13.2-x64.runtime.native.System.Security.Cryptography
* runtime.opensuse.13.2-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.opensuse.42.1-x64.Microsoft.NETCore.DotNetHost
* runtime.opensuse.42.1-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.opensuse.42.1-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.opensuse.42.1-x64.Microsoft.NETCore.ILAsm
* runtime.opensuse.42.1-x64.Microsoft.NETCore.ILDAsm
* runtime.opensuse.42.1-x64.Microsoft.NETCore.Jit
* runtime.opensuse.42.1-x64.Microsoft.NETCore.Native
* runtime.opensuse.42.1-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.opensuse.42.1-x64.Microsoft.NETCore.TestHost
* runtime.opensuse.42.1-x64.runtime.native.System
* runtime.opensuse.42.1-x64.runtime.native.System.IO.Compression
* runtime.opensuse.42.1-x64.runtime.native.System.Net.Http
* runtime.opensuse.42.1-x64.runtime.native.System.Net.Security
* runtime.opensuse.42.1-x64.runtime.native.System.Security.Cryptography
* runtime.opensuse.42.1-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.opensuse.42.3-x64.Microsoft.NETCore.DotNetHost
* runtime.opensuse.42.3-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.opensuse.42.3-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.opensuse.42.3-x64.Microsoft.NETCore.ILAsm
* runtime.opensuse.42.3-x64.Microsoft.NETCore.ILDAsm
* runtime.opensuse.42.3-x64.Microsoft.NETCore.Jit
* runtime.opensuse.42.3-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.opensuse.42.3-x64.Microsoft.NETCore.TestHost
* runtime.opensuse.42.3-x64.runtime.native.System
* runtime.opensuse.42.3-x64.runtime.native.System.IO.Compression
* runtime.opensuse.42.3-x64.runtime.native.System.Net.Http
* runtime.opensuse.42.3-x64.runtime.native.System.Net.Security
* runtime.opensuse.42.3-x64.runtime.native.System.Security.Cryptography
* runtime.opensuse.42.3-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.osx-arm64.Microsoft.NETCore.DotNetAppHost
* runtime.osx-arm64.Microsoft.NETCore.DotNetHost
* runtime.osx-arm64.Microsoft.NETCore.DotNetHostPolicy
* runtime.osx-arm64.Microsoft.NETCore.DotNetHostResolver
* runtime.osx-arm64.Microsoft.NETCore.ILAsm
* runtime.osx-arm64.Microsoft.NETCore.ILDAsm
* runtime.osx-arm64.Microsoft.NETCore.TestHost
* runtime.osx-x64.Microsoft.NETCore.App
* runtime.osx-x64.Microsoft.NETCore.DotNetAppHost
* runtime.osx-x64.Microsoft.NETCore.DotNetHost
* runtime.osx-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.osx-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.osx-x64.Microsoft.NETCore.ILAsm
* runtime.osx-x64.Microsoft.NETCore.ILDAsm
* runtime.osx-x64.Microsoft.NETCore.Jit
* runtime.osx-x64.Microsoft.NETCore.Native
* runtime.osx-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.osx-x64.Microsoft.NETCore.Runtime.Mono
* runtime.osx-x64.Microsoft.NETCore.TestHost
* runtime.osx-x64.native.Microsoft.SqlToolsService
* runtime.osx-x64.runtime.native.System.IO.Ports
* runtime.osx.10.10-x64.Microsoft.NETCore.DotNetHost
* runtime.osx.10.10-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.osx.10.10-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.osx.10.10-x64.Microsoft.NETCore.ILAsm
* runtime.osx.10.10-x64.Microsoft.NETCore.ILDAsm
* runtime.osx.10.10-x64.Microsoft.NETCore.Jit
* runtime.osx.10.10-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.osx.10.10-x64.Microsoft.NETCore.TestHost
* runtime.osx.10.10-x64.runtime.native.System
* runtime.osx.10.10-x64.runtime.native.System.IO.Compression
* runtime.osx.10.10-x64.runtime.native.System.Net.Http
* runtime.osx.10.10-x64.runtime.native.System.Net.Security
* runtime.osx.10.10-x64.runtime.native.System.Security.Cryptography
* runtime.osx.10.10-x64.runtime.native.System.Security.Cryptography.Apple
* runtime.osx.10.10-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.osx.10.10.System.Diagnostics.Process
* runtime.osx.10.10.System.IO.FileSystem
* runtime.osx.10.10.System.IO.FileSystem.DriveInfo
* runtime.osx.10.10.System.IO.FileSystem.Watcher
* runtime.osx.10.10.System.IO.MemoryMappedFiles
* runtime.osx.10.10.System.Net.Http
* runtime.osx.10.10.System.Net.NameResolution
* runtime.osx.10.10.System.Net.NetworkInformation
* runtime.osx.10.10.System.Net.Primitives
* runtime.osx.10.10.System.Net.Sockets
* runtime.osx.10.10.System.Runtime.Extensions
* runtime.osx.10.10.System.Runtime.InteropServices.RuntimeInformation
* runtime.osx.10.10.System.Security.Cryptography.Algorithms
* runtime.osx.10.12-x64.Microsoft.NETCore.ILAsm
* runtime.osx.10.12-x64.Microsoft.NETCore.ILDAsm
* runtime.osx.10.12-x64.Microsoft.NETCore.Jit
* runtime.osx.10.12-x64.Microsoft.NETCore.Native
* runtime.osx.10.12-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.osx.10.12-x64.Microsoft.NETCore.TestHost
* runtime.rhel-x64.native.Microsoft.SqlToolsService
* runtime.rhel.6-x64.Microsoft.NETCore.App
* runtime.rhel.6-x64.Microsoft.NETCore.DotNetAppHost
* runtime.rhel.6-x64.Microsoft.NETCore.DotNetHost
* runtime.rhel.6-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.rhel.6-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.rhel.6-x64.Microsoft.NETCore.ILAsm
* runtime.rhel.6-x64.Microsoft.NETCore.ILDAsm
* runtime.rhel.6-x64.Microsoft.NETCore.Jit
* runtime.rhel.6-x64.Microsoft.NETCore.Native
* runtime.rhel.6-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.rhel.6-x64.Microsoft.NETCore.TestHost
* runtime.rhel.7-x64.Microsoft.NETCore.DotNetHost
* runtime.rhel.7-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.rhel.7-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.rhel.7-x64.Microsoft.NETCore.ILAsm
* runtime.rhel.7-x64.Microsoft.NETCore.ILDAsm
* runtime.rhel.7-x64.Microsoft.NETCore.Jit
* runtime.rhel.7-x64.Microsoft.NETCore.Native
* runtime.rhel.7-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.rhel.7-x64.Microsoft.NETCore.TestHost
* runtime.rhel.7-x64.runtime.native.System
* runtime.rhel.7-x64.runtime.native.System.IO.Compression
* runtime.rhel.7-x64.runtime.native.System.Net.Http
* runtime.rhel.7-x64.runtime.native.System.Net.Security
* runtime.rhel.7-x64.runtime.native.System.Security.Cryptography
* runtime.rhel.7-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.ILAsm
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.Jit
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.Native
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.14.04-arm.Microsoft.NETCore.TestHost
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.DotNetHost
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.ILAsm
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.Jit
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.Native
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.14.04-x64.Microsoft.NETCore.TestHost
* runtime.ubuntu.14.04-x64.runtime.native.System
* runtime.ubuntu.14.04-x64.runtime.native.System.IO.Compression
* runtime.ubuntu.14.04-x64.runtime.native.System.Net.Http
* runtime.ubuntu.14.04-x64.runtime.native.System.Net.Security
* runtime.ubuntu.14.04-x64.runtime.native.System.Security.Cryptography
* runtime.ubuntu.14.04-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.ILAsm
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.Jit
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.Native
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.16.04-arm.Microsoft.NETCore.TestHost
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.DotNetHost
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.ILAsm
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.Jit
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.Native
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.16.04-x64.Microsoft.NETCore.TestHost
* runtime.ubuntu.16.04-x64.runtime.native.System
* runtime.ubuntu.16.04-x64.runtime.native.System.IO.Compression
* runtime.ubuntu.16.04-x64.runtime.native.System.Net.Http
* runtime.ubuntu.16.04-x64.runtime.native.System.Net.Security
* runtime.ubuntu.16.04-x64.runtime.native.System.Security.Cryptography
* runtime.ubuntu.16.04-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.DotNetHost
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.ILAsm
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.Jit
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.Native
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.16.10-x64.Microsoft.NETCore.TestHost
* runtime.ubuntu.16.10-x64.runtime.native.System
* runtime.ubuntu.16.10-x64.runtime.native.System.IO.Compression
* runtime.ubuntu.16.10-x64.runtime.native.System.Net.Http
* runtime.ubuntu.16.10-x64.runtime.native.System.Net.Security
* runtime.ubuntu.16.10-x64.runtime.native.System.Security.Cryptography
* runtime.ubuntu.16.10-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.DotNetHost
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.ILAsm
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.ILDAsm
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.Jit
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.ubuntu.18.04-x64.Microsoft.NETCore.TestHost
* runtime.ubuntu.18.04-x64.runtime.native.System
* runtime.ubuntu.18.04-x64.runtime.native.System.IO.Compression
* runtime.ubuntu.18.04-x64.runtime.native.System.Net.Http
* runtime.ubuntu.18.04-x64.runtime.native.System.Net.Security
* runtime.ubuntu.18.04-x64.runtime.native.System.Security.Cryptography
* runtime.ubuntu.18.04-x64.runtime.native.System.Security.Cryptography.OpenSsl
* runtime.unix.Microsoft.Win32.Primitives
* runtime.unix.System.Console
* runtime.unix.System.Data.SqlClient
* runtime.unix.System.Diagnostics.Debug
* runtime.unix.System.Diagnostics.FileVersionInfo
* runtime.unix.System.Diagnostics.TraceSource
* runtime.unix.System.Globalization.Extensions
* runtime.unix.System.IO.Compression
* runtime.unix.System.IO.FileSystem
* runtime.unix.System.IO.Pipes
* runtime.unix.System.Net.Primitives
* runtime.unix.System.Net.Requests
* runtime.unix.System.Net.Security
* runtime.unix.System.Net.Sockets
* runtime.unix.System.Net.WebSockets.Client
* runtime.unix.System.Private.Uri
* runtime.unix.System.Runtime.Extensions
* runtime.unix.System.Runtime.InteropServices.RuntimeInformation
* runtime.unix.System.Security.Cryptography.Encoding
* runtime.unix.System.Security.Cryptography.X509Certificates
* runtime.unix.System.Text.Encoding.CodePages
* runtime.unix.System.Threading
* runtime.win-arm.Microsoft.NETCore.App
* runtime.win-arm.Microsoft.NETCore.DotNetAppHost
* runtime.win-arm.Microsoft.NETCore.DotNetHost
* runtime.win-arm.Microsoft.NETCore.DotNetHostPolicy
* runtime.win-arm.Microsoft.NETCore.DotNetHostResolver
* runtime.win-arm.Microsoft.NETCore.ILAsm
* runtime.win-arm.Microsoft.NETCore.ILDAsm
* runtime.win-arm.Microsoft.NETCore.Jit
* runtime.win-arm.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win-arm.Microsoft.NETCore.TestHost
* runtime.win-arm64.Microsoft.NETCore.App
* runtime.win-arm64.Microsoft.NETCore.DotNetAppHost
* runtime.win-arm64.Microsoft.NETCore.DotNetHost
* runtime.win-arm64.Microsoft.NETCore.DotNetHostPolicy
* runtime.win-arm64.Microsoft.NETCore.DotNetHostResolver
* runtime.win-arm64.Microsoft.NETCore.ILAsm
* runtime.win-arm64.Microsoft.NETCore.ILDAsm
* runtime.win-arm64.Microsoft.NETCore.Jit
* runtime.win-arm64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win-arm64.Microsoft.NETCore.TestHost
* runtime.win-arm64.runtime.native.System.Data.SqlClient.sni
* runtime.win-x64.Microsoft.Dotnet.WinForms.ProjectTemplates
* runtime.win-x64.Microsoft.Dotnet.Wpf.ProjectTemplates
* runtime.win-x64.Microsoft.NETCore.App
* runtime.win-x64.Microsoft.NETCore.DotNetAppHost
* runtime.win-x64.Microsoft.NETCore.DotNetHost
* runtime.win-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.win-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.win-x64.Microsoft.NETCore.ILAsm
* runtime.win-x64.Microsoft.NETCore.ILDAsm
* runtime.win-x64.Microsoft.NETCore.Jit
* runtime.win-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win-x64.Microsoft.NETCore.Runtime.Mono
* runtime.win-x64.Microsoft.NETCore.TestHost
* runtime.win-x64.native.Microsoft.SqlToolsService
* runtime.win-x64.runtime.native.System.Data.SqlClient.sni
* runtime.win-x86.Microsoft.Dotnet.WinForms.ProjectTemplates
* runtime.win-x86.Microsoft.Dotnet.Wpf.ProjectTemplates
* runtime.win-x86.Microsoft.NETCore.App
* runtime.win-x86.Microsoft.NETCore.DotNetAppHost
* runtime.win-x86.Microsoft.NETCore.DotNetHost
* runtime.win-x86.Microsoft.NETCore.DotNetHostPolicy
* runtime.win-x86.Microsoft.NETCore.DotNetHostResolver
* runtime.win-x86.Microsoft.NETCore.ILAsm
* runtime.win-x86.Microsoft.NETCore.ILDAsm
* runtime.win-x86.Microsoft.NETCore.Jit
* runtime.win-x86.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win-x86.Microsoft.NETCore.TestHost
* runtime.win-x86.native.Microsoft.SqlToolsService
* runtime.win-x86.runtime.native.System.Data.SqlClient.sni
* runtime.win.Microsoft.NETCore.Runtime.Mono
* runtime.win.Microsoft.Win32.Primitives
* runtime.win.System.Console
* runtime.win.System.Diagnostics.Debug
* runtime.win.System.IO.FileSystem
* runtime.win.System.Net.Primitives
* runtime.win.System.Net.Sockets
* runtime.win.System.Runtime.Extensions
* runtime.win.System.Runtime.InteropServices.RuntimeInformation
* runtime.win.System.Text.Encoding.CodePages
* runtime.win10-arm-aot.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-arm-aot.runtime.native.System.IO.Compression
* runtime.win10-arm.Microsoft.Net.Native.Compiler
* runtime.win10-arm.Microsoft.Net.Native.SharedLibrary
* runtime.win10-arm.Microsoft.Net.UWPCoreRuntimeSdk
* runtime.win10-arm.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-arm.native.Microsoft.SqlToolsService
* runtime.win10-arm64-aot.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-arm64.Microsoft.Net.Native.Compiler
* runtime.win10-arm64.Microsoft.Net.Native.SharedLibrary
* runtime.win10-arm64.Microsoft.Net.UWPCoreRuntimeSdk
* runtime.win10-arm64.Microsoft.NETCore.DotNetHost
* runtime.win10-arm64.Microsoft.NETCore.DotNetHostPolicy
* runtime.win10-arm64.Microsoft.NETCore.DotNetHostResolver
* runtime.win10-arm64.Microsoft.NETCore.ILAsm
* runtime.win10-arm64.Microsoft.NETCore.ILDAsm
* runtime.win10-arm64.Microsoft.NETCore.Jit
* runtime.win10-arm64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win10-arm64.Microsoft.NETCore.TestHost
* runtime.win10-arm64.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-arm64.native.Microsoft.SqlToolsService
* runtime.win10-arm64.runtime.native.System.IO.Compression
* runtime.win10-x64-aot.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-x64-aot.runtime.native.System.IO.Compression
* runtime.win10-x64.Microsoft.DotNet.Framework.NativeImageCompiler
* runtime.win10-x64.Microsoft.Net.Native.Compiler
* runtime.win10-x64.Microsoft.Net.Native.SharedLibrary
* runtime.win10-x64.Microsoft.Net.UWPCoreRuntimeSdk
* runtime.win10-x64.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-x86-aot.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win10-x86-aot.runtime.native.System.IO.Compression
* runtime.win10-x86.Microsoft.DotNet.Framework.NativeImageCompiler
* runtime.win10-x86.Microsoft.Net.Native.Compiler
* runtime.win10-x86.Microsoft.Net.Native.SharedLibrary
* runtime.win10-x86.Microsoft.Net.UWPCoreRuntimeSdk
* runtime.win10-x86.Microsoft.NETCore.UniversalWindowsPlatform
* runtime.win7-arm.Microsoft.NETCore.TestHost
* runtime.win7-arm.runtime.native.System.IO.Compression
* runtime.win7-arm.System.IO.Compression.clrcompression
* runtime.win7-x64.Microsoft.NETCore.DotNetHost
* runtime.win7-x64.Microsoft.NETCore.DotNetHostPolicy
* runtime.win7-x64.Microsoft.NETCore.DotNetHostResolver
* runtime.win7-x64.Microsoft.NETCore.ILAsm
* runtime.win7-x64.Microsoft.NETCore.ILDAsm
* runtime.win7-x64.Microsoft.NETCore.Jit
* runtime.win7-x64.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win7-x64.Microsoft.NETCore.TestHost
* runtime.win7-x64.Microsoft.NETCore.Windows.ApiSets
* runtime.win7-x64.runtime.native.System.Data.SqlClient.sni
* runtime.win7-x64.runtime.native.System.IO.Compression
* runtime.win7-x64.System.Data.SqlClient.sni
* runtime.win7-x64.System.IO.Compression.clrcompression
* runtime.win7-x86.Microsoft.NETCore.DotNetHost
* runtime.win7-x86.Microsoft.NETCore.DotNetHostPolicy
* runtime.win7-x86.Microsoft.NETCore.DotNetHostResolver
* runtime.win7-x86.Microsoft.NETCore.ILAsm
* runtime.win7-x86.Microsoft.NETCore.ILDAsm
* runtime.win7-x86.Microsoft.NETCore.Jit
* runtime.win7-x86.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win7-x86.Microsoft.NETCore.TestHost
* runtime.win7-x86.Microsoft.NETCore.Windows.ApiSets
* runtime.win7-x86.runtime.native.System.Data.SqlClient.sni
* runtime.win7-x86.runtime.native.System.IO.Compression
* runtime.win7-x86.System.Data.SqlClient.sni
* runtime.win7-x86.System.IO.Compression.clrcompression
* runtime.win7.Microsoft.Win32.Primitives
* runtime.win7.System.Console
* runtime.win7.System.Data.SqlClient
* runtime.win7.System.Diagnostics.Debug
* runtime.win7.System.Diagnostics.FileVersionInfo
* runtime.win7.System.Diagnostics.Process
* runtime.win7.System.Diagnostics.TraceSource
* runtime.win7.System.Globalization.Extensions
* runtime.win7.System.IO.Compression
* runtime.win7.System.IO.FileSystem
* runtime.win7.System.IO.FileSystem.DriveInfo
* runtime.win7.System.IO.FileSystem.Watcher
* runtime.win7.System.IO.MemoryMappedFiles
* runtime.win7.System.IO.Pipes
* runtime.win7.System.Net.Http
* runtime.win7.System.Net.NameResolution
* runtime.win7.System.Net.NetworkInformation
* runtime.win7.System.Net.Primitives
* runtime.win7.System.Net.Requests
* runtime.win7.System.Net.Security
* runtime.win7.System.Net.Sockets
* runtime.win7.System.Net.WebSockets.Client
* runtime.win7.System.Private.Uri
* runtime.win7.System.Runtime.Extensions
* runtime.win7.System.Runtime.InteropServices.RuntimeInformation
* runtime.win7.System.Security.Cryptography.Algorithms
* runtime.win7.System.Security.Cryptography.Encoding
* runtime.win7.System.Security.Cryptography.X509Certificates
* runtime.win7.System.Text.Encoding.CodePages
* runtime.win7.System.Threading
* runtime.win8-arm.Microsoft.NETCore.ILAsm
* runtime.win8-arm.Microsoft.NETCore.ILDAsm
* runtime.win8-arm.Microsoft.NETCore.Jit
* runtime.win8-arm.Microsoft.NETCore.Runtime.CoreCLR
* runtime.win8-arm.Microsoft.NETCore.TestHost
* runtime.win8-arm.runtime.native.System.IO.Compression
* runtime.win8-x64.Microsoft.NETCore.Windows.ApiSets
* runtime.win8-x86.Microsoft.NETCore.Windows.ApiSets
* runtime.win81-x64.Microsoft.NETCore.Windows.ApiSets
* runtime.win81-x86.Microsoft.NETCore.Windows.ApiSets
* rzls
* SecretManager
* SinglePageApplication
* SqlServerCompact
* Starter.Site.Template.VB2
* System.AppContext
* System.Binary
* System.Binary.Base64
* System.Buffers
* System.Buffers.Primitives
* System.CodeDom
* System.Collections
* System.Collections.Concurrent
* System.Collections.Immutable
* System.Collections.NonGeneric
* System.Collections.Sequences
* System.Collections.Specialized
* System.CommandLine
* System.CommandLine.DragonFruit
* System.CommandLine.Hosting
* System.CommandLine.Rendering
* System.ComponentModel
* System.ComponentModel.Annotations
* System.ComponentModel.Composition
* System.ComponentModel.Composition.Registration
* System.ComponentModel.EventBasedAsync
* System.ComponentModel.Primitives
* System.ComponentModel.TypeConverter
* System.Composition
* System.Composition.AttributedModel
* System.Composition.Convention
* System.Composition.Hosting
* System.Composition.Runtime
* System.Composition.TypedParts
* System.Configuration.ConfigurationManager
* System.Console
* System.Data.Common
* System.Data.DataSetExtensions
* System.Data.Odbc
* System.Data.OleDb
* System.Data.SqlClient
* System.Data.SqlClient.sni-arm
* System.Data.SqlClient.sni-x64
* System.Data.SqlClient.sni-x86
* System.Device.Gpio
* System.Diagnostics.Contracts
* System.Diagnostics.Debug
* System.Diagnostics.DiagnosticSource
* System.Diagnostics.EventLog
* System.Diagnostics.FileVersionInfo
* System.Diagnostics.PerformanceCounter
* System.Diagnostics.Process
* System.Diagnostics.StackTrace
* System.Diagnostics.TextWriterTraceListener
* System.Diagnostics.Tools
* System.Diagnostics.TraceSource
* System.Diagnostics.Tracing
* System.Diagnostics.Tracing.Telemetry
* System.DirectoryServices
* System.DirectoryServices.AccountManagement
* System.DirectoryServices.Protocols
* System.Drawing.Common
* System.Drawing.Primitives
* System.Dynamic.Runtime
* System.Formats.Asn1
* System.Formats.Cbor
* System.Globalization
* System.Globalization.Calendars
* System.Globalization.Extensions
* System.IO
* System.IO.Compression
* System.IO.Compression.clrcompression-arm
* System.IO.Compression.clrcompression-x64
* System.IO.Compression.clrcompression-x86
* System.IO.Compression.ZipFile
* System.IO.FileSystem
* System.IO.FileSystem.AccessControl
* System.IO.FileSystem.DriveInfo
* System.IO.FileSystem.Primitives
* System.IO.FileSystem.Watcher
* System.IO.IsolatedStorage
* System.IO.MemoryMappedFiles
* System.IO.Packaging
* System.IO.Pipelines
* System.IO.Pipelines.Extensions
* System.IO.Pipes
* System.IO.Pipes.AccessControl
* System.IO.Ports
* System.IO.UnmanagedMemoryStream
* System.Json
* System.Linq
* System.Linq.Expressions
* System.Linq.Parallel
* System.Linq.Queryable
* System.Management
* System.Memory
* System.Memory.Data
* System.Net.Http
* System.Net.Http.Json
* System.Net.Http.Rtc
* System.Net.Http.WinHttpHandler
* System.Net.NameResolution
* System.Net.NetworkInformation
* System.Net.Ping
* System.Net.Primitives
* System.Net.Requests
* System.Net.Security
* System.Net.Sockets
* System.Net.Utilities
* System.Net.WebHeaderCollection
* System.Net.WebSockets
* System.Net.WebSockets.Client
* System.Net.WebSockets.WebSocketProtocol
* System.Numerics.Tensors
* System.Numerics.Vectors
* System.Numerics.Vectors.WindowsRuntime
* System.ObjectModel
* System.Private.DataContractSerialization
* System.Private.Networking
* System.Private.ServiceModel
* System.Private.Uri
* System.Reflection
* System.Reflection.Context
* System.Reflection.DispatchProxy
* System.Reflection.Emit
* System.Reflection.Emit.ILGeneration
* System.Reflection.Emit.Lightweight
* System.Reflection.Extensions
* System.Reflection.Metadata
* System.Reflection.MetadataLoadContext
* System.Reflection.Primitives
* System.Reflection.TypeExtensions
* System.Resources.Extensions
* System.Resources.Reader
* System.Resources.ResourceManager
* System.Resources.ResourceWriter
* System.Resources.Writer
* System.Runtime
* System.Runtime.Caching
* System.Runtime.CompilerServices.Unsafe
* System.Runtime.CompilerServices.VisualC
* System.Runtime.Extensions
* System.Runtime.Handles
* System.Runtime.InteropServices
* System.Runtime.InteropServices.RuntimeInformation
* System.Runtime.InteropServices.WindowsRuntime
* System.Runtime.Intrinsics.Experimental
* System.Runtime.Loader
* System.Runtime.Numerics
* System.Runtime.Serialization.Formatters
* System.Runtime.Serialization.Json
* System.Runtime.Serialization.Primitives
* System.Runtime.Serialization.Xml
* System.Runtime.WindowsRuntime
* System.Runtime.WindowsRuntime.UI.Xaml
* System.Security.AccessControl
* System.Security.Claims
* System.Security.Cryptography.Algorithms
* System.Security.Cryptography.Cng
* System.Security.Cryptography.Csp
* System.Security.Cryptography.Encoding
* System.Security.Cryptography.OpenSsl
* System.Security.Cryptography.Pkcs
* System.Security.Cryptography.Primitives
* System.Security.Cryptography.ProtectedData
* System.Security.Cryptography.X509Certificates
* System.Security.Cryptography.Xml
* System.Security.Permissions
* System.Security.Principal
* System.Security.Principal.Windows
* System.Security.SecureString
* System.ServiceModel.Duplex
* System.ServiceModel.Federation
* System.ServiceModel.Http
* System.ServiceModel.NetTcp
* System.ServiceModel.Primitives
* System.ServiceModel.Security
* System.ServiceModel.Syndication
* System.ServiceProcess.ServiceController
* System.Speech
* System.Text.Encoding
* System.Text.Encoding.CodePages
* System.Text.Encoding.Extensions
* System.Text.Encodings.Web
* System.Text.Json
* System.Text.RegularExpressions
* System.Threading
* System.Threading.AccessControl
* System.Threading.Channels
* System.Threading.ExecutionContext
* System.Threading.Overlapped
* System.Threading.Tasks
* System.Threading.Tasks.Channels
* System.Threading.Tasks.Dataflow
* System.Threading.Tasks.Extensions
* System.Threading.Tasks.Parallel
* System.Threading.Thread
* System.Threading.ThreadPool
* System.Threading.Timer
* System.Utf8String.Experimental
* System.ValueTuple
* System.Web.Http.Common
* System.Web.Providers
* System.Web.Providers.Core
* System.Web.Providers.LocalDb
* System.Web.Providers.SqlCE
* System.Windows.Extensions
* System.Windows.Forms.DataVisualization
* System.Xml.ReaderWriter
* System.Xml.XDocument
* System.Xml.XmlDocument
* System.Xml.XmlSerializer
* System.Xml.XPath
* System.Xml.XPath.XDocument
* System.Xml.XPath.XmlDocument
* TranslatorWidget
* transport.dotnet-ilverify
* transport.Microsoft.ILVerification
* transport.Microsoft.NET.Sdk.IL
* transport.Microsoft.NETCore.ILAsm
* transport.Microsoft.NETCore.ILDAsm
* transport.Microsoft.NETCore.Runtime.Mono
* transport.Microsoft.NETCore.TestHost
* transport.runtime.win-x64.Microsoft.NETCore.ILAsm
* transport.runtime.win-x64.Microsoft.NETCore.ILDAsm
* transport.runtime.win-x64.Microsoft.NETCore.Runtime.Mono
* transport.runtime.win-x64.Microsoft.NETCore.TestHost
* transport.runtime.win.Microsoft.NETCore.Runtime.Mono
* Twitter.Helper
* upgrade-assistant
* Upshot
* VS.Redist.Common.NetCore.HostFXR.x64.2.1
* VS.Redist.Common.NetCore.HostFXR.x86.2.1
* VS.Redist.Common.NetCore.SharedFramework.x64.2.1
* VS.Redist.Common.NetCore.SharedFramework.x86.2.1
* VS.Redist.Common.NetCore.SharedHost.x64.2.1
* VS.Redist.Common.NetCore.SharedHost.x86.2.1
* WebMatrix.Data
* WebMatrix.Security
* WebMatrix.WebData
* Wishlist.Template
* Yarp.ReverseProxy
* Yarp.ReverseProxy.ServiceFabric
* Yarp.ReverseProxy.Telemetry.Consumption
